<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>


<t:baseLayout>
   <jsp:body>
   <div class="funcionalidades">
	   		<ul class="breadcrumb">
				<li>
					<span>Você está em:</span>
				</li>
				<li>
					<a href="${pageContext.request.contextPath}/"> Página Inicial </a>
				</li>
               	<li>| Instruções de Preenchimento </li>
			</ul>
	   </div>
       
   
    	
				<div>
					<h2 class="titulo">Instruções de Preenchimento</h2>
				</div>
	
		
				<div id="content-core">
				
					<p>Esta página contém as principais instruções de como preencher e emitir o Formulário Eletrônico de Acessibilidade Digital (FAD).</p>
					
					<p>Na página inicial você ira informar o código de acesso e em seguida você irá precionar a tecla ‘Enter’ ou clicar no botão ‘Entrar’ (Figura 1). </p>
					
					<figure class="divImagem">
						<img  class="imagem" src="${pageContext.request.contextPath}/imgs/campoAcesso.png" alt="campo Código de Acesso com o botão Enviar">
					<figcaption>Figura 1: Campo 'Código de Acesso' com o botão 'Entrar'</figcaption>
					</figure>
					
					<p>Na tela seguinte, o primeiro grupo que irá aparecer será o grupo de ‘Dados Institucionais’. Os campos que irão aparecer neste grupo são: Nome do órgão, Nome completo, Cargo que ocupa, Telefone e E-mail. Estes campos não são editáveis e conterão o nome do órgão correspodente ao código de acesso informado e os dados do responsável pelo preenchimento (Figura 2).</p>
					
					<figure class="divImagem">
						<img  class="imagem" src="${pageContext.request.contextPath}/imgs/camposInstitucionais.png" alt="Campos Órgao, Nome completo, Cargo, Telefone, Email">
					<figcaption>Figura 2: Grupo de 'Dados Institucionais'</figcaption>
					</figure>
										
					<p>O segundo grupo é o de 'Ambientes e Páginas', neste grupo você irá informar pelo menos um sítio ou portal do órgão (O principal sítio ou portal do órgão deverá ser informado) e quatro páginas deste mesmo sítio ou portal. Como exemplo iremos utilizar o sítio institucional do Ministério do Meio Ambiente (MMA). No campo ‘Ambiente 1’ iremos preencher com a URI ‘http://www.mma.gov.br/’ (Figura 3). </p>
					
					<p>Esta URI (http://www.mma.gov.br/) é o principal sítio institucional do <abbr title="Ministério do Meio Ambiente">MMA</abbr> e possui varias páginas, mas iremos escolher a página de Perguntas Frequentes, Serviços, Área de Imprensa e Programas. Logo em seguida iremos preencher os campos ‘Página 1.1’, ’Página 1.2’, ’Página 1.3’ e ‘Página 1.4’ com estas respectivas URI’S como mostra a figura abaixo.</p>
			
					<figure class="divImagem">
						<img  class="imagem2" src="${pageContext.request.contextPath}/imgs/ambientePagina.png" alt="Campos Ambientes e Páginas">
						<figcaption>Figura 3: O ambiente e suas páginas</figcaption>
					</figure>
			
					<p>Veja na figura acima que preenchemos os campos com as URI’S de Perguntas Frequentes, Serviços, Área de Imprensa e Programas, todas elas pertencentes a URI do 'Ambiente Digital 1' (http://www.mma.gov.br/).</p>

					<p>O mesmo procedimento deverá ser feito nos demais campos (Ambiente 2, Ambiente 3, Ambiente 4 e Ambiente 5 ) para outros sítios ou portais que o órgão possa ter, porém não são de preechimento obrigatório.</p>     

					<p>Após fazer todos os procedimentos acima, você irá clicar em ‘Avançar’. A próxima página será a de ‘Dados Acessibilidade’, esta página contém perguntas sobre a implementação de acessibilidade nos sítios, portais e sistemas do órgão. Algumas perguntas são de preechimento obrigatório, outras não.</p> 

					<p>Na pergunta 13 irão aparecer todas as URI’S informadas na página anterior, nelas você terá que fornecer a nota Ases e a nota AccessMonitor (utilize o WCAG 2.0), como mostra a figura 4. Abaixo da figura irão aparecer os links de acesso para o sítio do ASESWEB e do AccessMonitor.</p> 

 					<figure class="divImagem">
						<img  class="imagem2" src="${pageContext.request.contextPath}/imgs/notas.png" alt="Campos Ambientes e Páginas">
						<figcaption>Figura 4: URI'S com os campos para a nota ASES e AccessMonitor</figcaption>
					</figure>
			 		
			 		
			 		<hr class="hr_linhaDupla">						
						<div class="outstanding-header">
							<h3 class="outstanding-title">Sítios para a nota ASES e AccessMonitor</h3>
						</div>
			 		<ul>
						<li><a href="http://asesweb.governoeletronico.gov.br">ASESWEB - asesweb.governoeletroncio.gov.br (link para um novo sítio)</a></li>
						<li><a href="http://www.acessibilidade.gov.pt/accessmonitor/"> AccessMonitor - http://www.acessibilidade.gov.pt/accessmonitor/ (link para um novo sítio)</a></li>
					</ul>
 					
 					<p>Na pergunta de numero 16 você deverá informar se o sítio (ou sítios) do orgão possui uma página com informações sobre recursos de acessibilidade disponíveis. Um exemplo seria o 
 					link 'ACESSIBILIDADE' disponível na maioria dos sítios e portais da Administração Pública Federal (Figura 5).</p>
 					<figure class="divImagem">
						<img  class="imagem3" src="${pageContext.request.contextPath}/imgs/linkAcessibilidade.png" alt="Mensagem de confirmação e botão para emitir o Relatório Circunstanciado">
						<figcaption>Figura 5: Link 'ACESSIBILIDADE' destacado em vermelho</figcaption>
					</figure><br>
 					
 					<p>Após respondida as perguntas, você irá clicar no botão ‘Cadastrar’ no final da página, 
 					para finalizar o cadastro. Logo após (se as informações fornecidas estiverem corretas), irá aparecer 
 					uma mensagem de confirmação informando que o cadastro foi realizado (Figura 6). Nesta mesma página irá 
 					aparecer um botão de ‘Imprimir FAD’, ao clicar neste botão você poderá imprimir o Formulário Eletrônico (que acabou
 					 de preencher) ou salvar uma cópia no seu computador. Você também poderá imprimir o FAD 
 					 através do link ‘Imprimir FAD’ situado na barra de menu acima (Figura 7).</p> 
 					 
 					 <p>ATENÇÃO: O simples cadastro não faz o envio para os órgãos de controle, o FAD deverá ser impresso, assinado e digitalizado (nos formatos doc, pdf ou zip) e enviado, juntamente com o Plano de Trabalho, para a Procuradoria Federal dos Direitos do Cidadão (PFDC) através da opção 'Anexar Documentos' ou 'Enviar Relatório à PFDC/MPF' na barra de menu acima.</p>

					<figure class="divImagem">
						<img  class="imagem2" src="${pageContext.request.contextPath}/imgs/telaConfirmacao.png" alt="Mensagem de confirmação e botão para emitir o Relatório Circunstanciado">
						<figcaption>Figura 6: Mensagem de confirmação e botão para imprimir o FAD</figcaption>
				 	</figure><br>

					<figure class="divImagem">
						<img  class="imagem" src="${pageContext.request.contextPath}/imgs/telaEmitirRelatorio.png" alt="tela com campo e botão para emitir o relatório circunstanciado">
						<figcaption>Figura 7: Campo para imprimir o FAD</figcaption>
					</figure>

					<p>Até a data limite (ou até que você finalize todo o procedimento) para enviar os documentos (FAD e Plano de Trabalho), você pode acessar novamente o seu cadastro e corrigir (ou atualizar) as informações prestadas.</p>

					<p>Após o preenchimento do FAD, os órgãos e entidades da administração pública 
					federal direta e indireta deverão elaborar um Plano de Trabalho para cada ambiente 
					digital que não esteja em conformidade com as diretrizes de acessibilidade. O Plano de 
					Trabalho deverá conter cronograma com metas progressivas para o saneamento das não 
					conformidades. Eventuais alterações estruturais nos ambientes digitais, necessárias a 
					garantir a acessibilidade, e que demandem prazos maiores do que 6 (seis) meses devem ser 
					tecnicamente justificadas.</p>

                    <p>Os Planos de Trabalho e o FAD deverão ser anexados por meio da funcionalidade “Anexar Documentos” localizado na barra de menu acima. Após anexados os documentos, você terá a opção de enviar os mesmos para a PFDC e encerrar todo o procedimento.</p>
                    <p>Você tambem pode anexar os documentos e enviá-los em outra data (desde que seja até a data limite) através da opção 'Enviar Relatório à PFDC/MPF' situado na barra de menu acima.	

					<p>Caso tenha outras dúvidas, acesse o link ‘Contato’ situado na barra de menu acima.</p>	
					
		</div>		
			
	</jsp:body>
</t:baseLayout>