<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html lang=pt-br>

<head>
<title>Relatório Circunstanciado de Acessibilidade Digital</title>


<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/imprimir.css" media="screen">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/default.css" media="screen">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/imprimir.css" media="print">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/default.css" media="print">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/botaoImprimir.css" media="print">



</head>
<body id='imprimir'>
	<div>
		<div id="center">
			<h1 class="maiusculo" > 
				RELATÓRIO CIRCUNSTANCIADO DE ACESSIBILIDADE DIGITAL (Art. 120 da Lei nº 13.146/2015)<br>
				${questionario.noOrgao}<br>
				EXERCÍCIO 2016
			</h1>
		</div>
	</div>
			
		<div>

			<fieldset>
				<legend>Dados Acessibilidade</legend>
				
			<label>Total de solicitações: <span>${totalSolicitacoes}</span></label><br>
			<label>Total de Relatório respondido: <span>${totalRelatorioRespondido}</span></label><br>
			<label>Total de Relatório anexado: <span>${totalRelatorioAnexado}</span></label><br>
			<label>Total de Plano de Trabalho anexado: <span>${totalPlanoTrabalhoAnexado}</span></label><br>
			<label>Total de Relatório enviado à PFDC/MPF: <span>${totalRelatorioEnviado}</span></label><br>
				<label>1) O Órgão
						tem conhecimento da legislação que envolve o tema "acessibilidade"
						bem como suas implicações?</label>
						 <p><strong>Sim: ${pergunta1_2}</strong></p>
						 <p><strong>Já Ouvi falar: ${pergunta1_4 }</strong></p>
						 <p><strong>Não: ${pergunta1_3}</strong></p>
						 
				<label> 2) O Órgão já recebeu, formal ou informalmente, reclamações sobre
						acessibilidade em seus ambientes digitais?</label> 
						<p><strong>Sim: ${pergunta2_2 }</strong></p>
						<p><strong>Não: ${pergunta2_3 }</strong></p>
									
				<label>3) O Órgão
						tem estimulado seus servidores e parceiros a realizarem
						capacitações sobre acessibilidade em ambientes digitais?</label>
						 <p><strong>Sim: ${pergunta3_2 }</strong></p>
						 <p><strong>Não, por não priorizar o tema: ${pergunta3_5 }</strong></p>
						 <p><strong>Não, por não conhecer a oferta de cursos sobre o tema: ${pergunta3_6 }</strong></p>
				
				<label>4) Com
						relação a pergunta anterior, caso tenha respondido 'Sim', mencione
						abaixo os tipos de cursos estimulados pelo órgão:</label> 
				<p><strong>Escola(s) de ensino à distancia (EAD): ${pergunta4_7 }</strong></p>
				<p><strong>EAD através da Escola Nacional de Administração Pública (ENAP): ${pergunta4_8 }</strong></p>
				<p><strong>Escola(s) de ensino presencial: ${pergunta4_9 }</strong></p>
				<p><strong>Ensino presencial através da ENAP: ${pergunta4_10 }</strong></p>
				

 <label>5) O Órgão observa
						em seu processo de desenvolvimento de sítios, portais e serviços
						eletrônicos os requisitos de acessibilidade?</label> 
<p><strong>Sim, observamos os requisitos do modelo brasileiro, ou seja, observamos o "Modelo de Acessibilidade em Governo Eletrônico (eMAG)": ${pergunta5_11 }</strong></p>
<p><strong>Sim, observamos os requisitos do modelo internacional, ou seja, observamos o "Web Content Accessibility Guidelines (WCAG)": ${pergunta5_12 }</strong></p>
<p><strong>Sim, observamos os requisitos de outros modelos que não os especificados acima: ${pergunta5_13 }</strong></p>
<p><strong>Não: ${pergunta5_3 }</strong></p>
 
 <label>6) Nas
						contratações de fábrica de software e/ou parcerias firmadas para o
						desenvolvimento de ambientes digitais há citação explícita sobre
						os requisitos de acessibilidade assim como as sanções para o seu não atendimento?</label> 
<p><strong>Sim, conforme especifica o estudo técnico preliminar da contratação da Instrução Normativa N° 04, de 11 de Setembro de 2014.: ${pergunta6_14 }</strong></p>
<p><strong>Sim, conforme sugere a "Cartilha de Boas Práticas para Acessibilidade Digital" na contratação de desenvolvimento WEB: ${pergunta6_15 }</strong></p>
<p><strong>Não: ${pergunta6_3 }</strong></p>

<label>7)
						O Órgão realiza validações de acessibilidade em seus ambientes
						digitais?</label> 
<p><strong>sim: ${pergunta7_2 }</strong></p>
<p><strong>Não: ${pergunta7_3 }</strong></p>

 <label>8) Com relação a pergunta anterior, no caso de 'Sim', mencione abaixo
						as validações realizadas:</label> 
<p><strong>Validações por ferramentas automáticas para homologações das entregas do desenvolvimento: ${pergunta8_16 }</strong></p>
<p><strong>Verificações humanas para homologações das entregas do desenvolvimento: ${pergunta8_17 }</strong></p>
<p><strong>Validações automáticas constantemente desde a entrega dos códigos: ${pergunta8_18 }</strong></p>
<p><strong>Verificações humanas constantemente desde a entrega dos códigos: ${pergunta8_19 }</strong></p>

 <label>9) Quais ferramentas são utilizadas no processo de validação de
						acessibilidade em seus ambientes digitais?</label> 
<p><strong>Nenhuma: ${pergunta9_20 }</strong></p>
<p><strong>Avaliador e Simulador de Acessibilidade em Sítios (ASES) Web (WAI e eMAG): ${pergunta9_21 }</strong></p>
<p><strong>Avaliador e Simulador de Acessibilidade em Sítios (ASES) Desktop (WAI e eMAG): ${pergunta9_22 }</strong></p>
<p><strong>Da Silva (WAI e eMAG): ${pergunta9_23 }</strong></p>
<p><strong>AccessMonitor (WAI): ${pergunta9_24 }</strong></p>
<p><strong>Web Accessibility Tool (WAVE) (WAI): ${pergunta9_25 }</strong></p>
<p><strong>Cynthia Says (WAI): ${pergunta9_26 }</strong></p>
<p><strong>Hera (WAI): ${pergunta9_27 }</strong></p>
<p><strong>Lift (WAI): ${pergunta9_28 }</strong></p>
<p><strong>TAW (WAI): ${pergunta9_29 }</strong></p>
<p><strong>Examinator (WAI): ${pergunta9_30 }</strong></p>
<p><strong>Functional Accessibility Evaluator 1.1(WAI e Section 508): ${pergunta9_31 }</strong></p>
<p><strong>Checklist de Avaliação Manual (Checklist de Acessibilidade Manual para o Desenvolvedor): ${pergunta9_32 }</strong></p>
<p><strong>Checklist de Avaliação Manual (Anexo B – Recomendações e Pontos de checagem para atendimento do eMAG): ${pergunta9_33 }</strong></p>
<p><strong>Outro(s): ${pergunta9_34 }</strong></p>


<label>10) Informe abaixo, pelo menos um Ambiente Digital (sítio ou portal) e quatro páginas deste mesmo ambiente. Informe a nota Ases e a nota AccessMonitor (utilize o WCAG 2.0) para cada ambiente e página informada:</label> 

		
<p><strong>Total de ambientes: ${totalAmbientes }</strong></p>
<p><strong>Nota ASES (menor ou igual 10%): ${notaAsesMenorIgual_10 }</strong></p>
<p><strong>Nota ASES (maior que 10% e menor ou igual 20%): ${notaAsesMaior_10_menorIgual_20 }</strong></p>
<p><strong>Nota ASES (maior que 20% e menor ou igual 30%): ${notaAsesMaior_20_menorIgual_30 }</strong></p>
<p><strong>Nota ASES (maior que 30% e menor ou igual 40%): ${notaAsesMaior_30_menorIgual_40 }</strong></p>
<p><strong>Nota ASES (maior que 40% e menor ou igual 50%): ${notaAsesMaior_40_menorIgual_50 }</strong></p>
<p><strong>Nota ASES (maior que 50% e menor ou igual 60%): ${notaAsesMaior_50_menorIgual_60 }</strong></p>
<p><strong>Nota ASES (maior que 60% e menor ou igual 70%): ${notaAsesMaior_60_menorIgual_70 }</strong></p>
<p><strong>Nota ASES (maior que 70% e menor ou igual 80%): ${notaAsesMaior_70_menorIgual_80 }</strong></p>
<p><strong>Nota ASES (maior que 80% e menor ou igual 90%): ${notaAsesMaior_80_menorIgual_90 }</strong></p>
<p><strong>Nota ASES (maior que 90% e menor 100%): ${notaAsesMaior_90_menor_100 }</strong></p>
<p><strong>Nota ASES (igual a 100%): ${notaAsesIgual_100 }</strong></p>


				
<p><strong>Nota AccessMonitor (menor ou igual 1): ${notaAccessMonitorMenorIgual_1 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 1 e menor ou igual 2): ${notaAccessMonitorMaior_1_menorIgual_2 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 2 e menor ou igual 3): ${notaAccessMonitorMaior_2_menorIgual_3 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 3 e menor ou igual 4): ${notaAccessMonitorMaior_3_menorIgual_4 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 4 e menor ou igual 5): ${notaAccessMonitorMaior_4_menorIgual_5 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 5 e menor ou igual 6): ${notaAccessMonitorMaior_5_menorIgual_6 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 6 e menor ou igual 7): ${notaAccessMonitorMaior_6_menorIgual_7 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 7 e menor ou igual 8): ${notaAccessMonitorMaior_7_menorIgual_8 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 8 e menor ou igual 9): ${notaAccessMonitorMaior_8_menorIgual_9 }</strong></p>
<p><strong>Nota AccessMonitor (maior que 9 e menor 10): ${notaAccessMonitorMaior_9_menor_10 }</strong></p>
<p><strong>Nota AccessMonitor (igual a 10): ${notaAccessMonitorIgual_10 }</strong></p>


<label>11) Quanto aos
						itens de acessibilidade que não podem ser verificados por máquina,
						como o atendimento, quanto às normas de acessibilidade, é
						validado?</label> 
<p><strong>Não é feito a validação de itens que não podem ser validados de maneira automática: ${pergunta11_50 }</strong></p>
<p><strong>A validação é feita pelo responsável técnico do contrato, seguindo um checklist de validação manual em todas as páginas: ${pergunta11_51 }</strong></p>
<p><strong>A validação é feita pelo responsável técnico do contrato, seguindo um checklist de validação manual em amostras do conjunto de páginas: ${pergunta11_52 }</strong></p>
<p><strong>A validação é feita por empresa terceirizada, contratada para ajudar na garantia da qualidade do software, seguindo um checklist de validação manual: ${pergunta11_53 }</strong></p>
<p><strong>A validação é feita através do teste de atendimento das exigências contratuais pela empresa desenvolvedora do produto, que 
entrega, para cada página desenvolvida, um checklist que especifica os testes manuais que foram executados: ${pergunta11_54 }</strong></p>

<label>12) Caso o órgão realize validações com pessoas com deficiência, selecione abaixo quais pessoas fazem essas validações:</label> 
						
<p><strong>Pessoa cega ou com baixa visão: ${pergunta12_65 }</strong></p>
<p><strong>Pessoa surda ou com deficiência auditiva: ${pergunta12_66 }</strong></p>
<p><strong>Pessoa com deficiência intelectual: ${pergunta12_67 }</strong></p>
<p><strong>Pessoa com deficiência física ou motora: ${pergunta12_68 }</strong></p>


 <label>13) O órgão mantém, em seus ambientes, link para página onde são descritos os recursos de acessibilidade existentes?</label> 
						
<p><strong>Sim: ${pergunta13_2 }</strong></p>
<p><strong>Sim, somente no meu ambiente institucional: ${pergunta13_55 }</strong></p>
<p><strong>Não: ${pergunta13_3}</strong></p>

 <label>14) Dentre as tecnologias assistivas baseadas em softwares, marque qual delas o órgão indica ou implementa em seus ambientes digitais:</label> 

<p><strong>Nenhuma: ${pergunta14_20 }</strong></p>
<p><strong>DOSVOX: ${pergunta14_56 }</strong></p>
<p><strong>ORCA: ${pergunta14_57 }</strong></p>
<p><strong>JAWS: ${pergunta14_58 }</strong></p>
<p><strong>Rybená: ${pergunta14_59 }</strong></p>
<p><strong>Hand Talk: ${pergunta14_60 }</strong></p>
<p><strong>Prodeaf: ${pergunta14_61 }</strong></p>
<p><strong>VLibras: ${pergunta14_62 }</strong></p>
<p><strong>NVDA: ${pergunta14_69 }</strong></p>
<p><strong>Outro(s): ${pergunta14_34 }</strong></p>
	</fieldset>
		

		</div>
		
		<br>
			
</body>

<div id="divButton">
    <a class="button" id="pPrincipal" href="${pageContext.request.contextPath}/">Página Inicial</a> 
	<input type="button" class="button" value="Imprimir" id="bImprimir" name="bImprimir" onClick="javascript:window.print()">
</div>

</html>