<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html lang=pt-br>

<head>
<title>Relatório Circunstanciado de Acessibilidade Digital</title>


<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/imprimir.css" media="screen">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/default.css" media="screen">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/imprimir.css" media="print">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/default.css" media="print">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/css/botaoImprimir.css" media="print">



</head>
<body id='imprimir'>
	<div>
		<div id="center">
			<h1 class="maiusculo" > 
				RELATÓRIO CIRCUNSTANCIADO DE ACESSIBILIDADE DIGITAL (Art. 120 da Lei nº 13.146/2015)<br>
				${questionario.noOrgao}<br>
				EXERCÍCIO 2016
			</h1>
		</div>
	</div>
		<div>
			<br> 
			<fieldset>
				<legend>Responsável pelo Preenchimento</legend>
				<label>Nome	Completo: <strong> ${nomePessoa}</strong></label><br> 
				<label>Cargo que Ocupa: <strong> ${cargo } </strong></label><br> 
				<label>Telefone (com DDD):<strong> ${telefone }</strong></label> <br> 
				<label>E-mail:<strong> ${email }</strong></label> <br>
			</fieldset>
			<br>

			<fieldset>
				<legend>Dados Acessibilidade</legend>
				<label>1) O Órgão
						tem conhecimento da legislação que envolve o tema "acessibilidade"
						bem como suas implicações?</label><p><strong> Resposta: ${perguntaAcessibilidade }
						 </strong></p><label>2)
						O Órgão já recebeu, formal ou informalmente, reclamações sobre
						acessibilidade em seus ambientes digitais?</label> 
						<p> <strong>Resposta: ${reclamacao }</strong>
						 </p>
						<label>3) Com relação a
						pergunta anterior, caso tenha respondido 'Sim', mencione abaixo
						quando e por quem houve a reclamação e qual foi a reclamação:</label> 
				<p> <strong>Resposta: ${espacoReclamacao }</strong></p>
				
				<label>4) O Órgão
						tem estimulado seus servidores e parceiros a realizarem
						capacitações sobre acessibilidade em ambientes digitais?</label>
<p><strong> Resposta: ${perguntaEstimulo }</strong></p>
				<label>5) Com
						relação a pergunta anterior, caso tenha respondido 'Sim', mencione
						abaixo os tipos de cursos estimulados pelo órgão:</label> 
<p> <strong>Resposta: <br>
				<c:if test="${not empty curso}">
				<ul>			
					<c:forEach items="${curso}" var="varCurso">											
						
						<li>
						${varCurso}
						</li>							
					
				 	</c:forEach>
				 	</ul>					
				</c:if>
</strong>
</p>
 <label>6) O Órgão observa
						em seu processo de desenvolvimento de sítios, portais e serviços
						eletrônicos os requisitos de acessibilidade?</label> 
<p> <strong>Resposta: ${requisito }</strong></p>
 <label>7) Com relação à
						pergunta anterior, caso tenha respondido 'Sim, observamos os
						requisitos de outros modelos que não os especificados acima',
						então mencione abaixo estes modelos:</label> 
<p> <strong>Resposta: ${justificativaRequisito }</strong></p>
 <label>8) Nas
						contratações de fábrica de software e/ou parcerias firmadas para o
						desenvolvimento de ambientes digitais há citação explícita sobre
						os requisitos de acessibilidade assim como as sanções para o seu não atendimento?</label> 
<p> <strong>Resposta: ${opcaoContrat }</strong></p>
<label>9)
						O Órgão realiza validações de acessibilidade em seus ambientes
						digitais?</label> 
<p><strong> Resposta: ${perguntaValidacao }</strong></p>
 <label>10)
						Com relação a pergunta anterior, no caso de 'Sim', mencione abaixo
						as validações realizadas:</label> 
<p> <strong>Resposta: <br>
				<c:if test="${not empty simValidacao}">
				<ul>			
					<c:forEach items="${simValidacao}" var="varSimValidacao">											
						
						<li>
						${varSimValidacao}
						</li>							
					
				 	</c:forEach>
				 	</ul>					
				</c:if>
</strong>
</p>
 <label>11)
						Quais ferramentas são utilizadas no processo de validação de
						acessibilidade em seus ambientes digitais?</label> 
<p><strong> Resposta: <br>
				<c:if test="${not empty ferramentaValidacao}">
				<ul>			
					<c:forEach items="${ferramentaValidacao}" var="varFerramentaValidacao">											
						
						<li>
						${varFerramentaValidacao}
						</li>							
					
				 	</c:forEach>
				 	</ul>					
				</c:if>
</strong>
</p>
<label>12) Com relação à pergunta anterior, caso tenha respondido 'Outros', mencione abaixo	quais são estas ferramentas:</label> 
<p><strong> Resposta: ${outroAvaliador }</strong></p>

<label>13) Informe abaixo, pelo menos um Ambiente Digital (sítio ou portal) e quatro páginas deste mesmo ambiente. Informe a nota Ases e a nota AccessMonitor (utilize o WCAG 2.0) para cada ambiente e página informada:</label> 

<p><strong> Resposta: <br>
				<c:if test="${not empty lsAmostragemSiteQuestionario}">
				
				<c:set var="urlAdicionada" scope="session" value="url" />	
						
					<c:forEach items="${lsAmostragemSiteQuestionario}" var="amostragemSiteQuestionario">											
					
					<c:if test="${urlAdicionada != amostragemSiteQuestionario.urlAmostraSiteQuestionario}">
					<p>
					URI: ${amostragemSiteQuestionario.urlAmostraSiteQuestionario}
					</p>
					</c:if>
					<c:set var="urlAdicionada" scope="session" value="${amostragemSiteQuestionario.urlAmostraSiteQuestionario}" />
						
					<c:if test="${amostragemSiteQuestionario.opcaoResposta.idOpcaoResposta == '63'}">
					<p>
					Nota Ases: ${amostragemSiteQuestionario.valorNota}%
					</p>
					</c:if>
					
					<c:if test="${amostragemSiteQuestionario.opcaoResposta.idOpcaoResposta == '64'}">
					<p>
					Nota AccessMonitor: ${amostragemSiteQuestionario.valorNota}
					</p>
					</c:if>
					
				 	</c:forEach>
										
				</c:if>
				
</strong>
</p>

<label>14) Quanto aos
						itens de acessibilidade que não podem ser verificados por máquina,
						como o atendimento, quanto às normas de acessibilidade, é
						validado?</label> 
<p> <strong>Resposta: ${checklistQtnList }</strong></p>

<label>15) Caso o órgão realize validações com pessoas com deficiência, selecione abaixo quais pessoas fazem essas validações:</label> 
						

<p><strong> Resposta: <br>
				<c:if test="${not empty deficiencias}">
				<ul>			
					<c:forEach items="${deficiencias}" var="varDeficiencias">											
						
						<li>
						${varDeficiencias}
						</li>							
					
				 	</c:forEach>
				 	</ul>					
				</c:if>
</strong>
</p>

 <label>16) O órgão mantém, em seus ambientes, link para página onde são descritos os recursos de acessibilidade existentes?</label> 
						
<p> <strong>Resposta: ${funcionalidade }</strong></p>

 <label>17) Dentre as
						tecnologias assistivas baseadas em softwares, marque qual delas o
						órgão indica ou implementa em seus ambientes digitais:</label> 

<p> <strong>Resposta: <br>
				<c:if test="${not empty assistiva}">
				<ul>			
					<c:forEach items="${assistiva}" var="varAssistiva">											
						
						<li>
						${varAssistiva}
						</li>							
					
				 	</c:forEach>
				 	</ul>					
				</c:if>
</strong>
</p>

				<label>18) Com
						relação à pergunta anterior, caso tenha respondido 'Outro(s)'
						mencione abaixo quais são estas tecnologias:</label> 
						
<p><strong> Resposta: ${justificativaAssistiva }</strong></p>


<label>19) Mencione
						abaixo as dificuldades para o atendimento do prazo previsto na
						legislação para o estabelecimento da acessibilidade digital, caso
						o órgao esteja enfrentando estas dificuldades:</label> 

<p> <strong>Resposta: ${dificuldadePrazo }</strong></p>

			</fieldset>
			
			<fieldset>
				<legend>Dados do Formulário</legend>
				<label><strong><i>Declaro que as informações apresentadas neste formulário são verdadeiras e de minha inteira responsabilidade.</i></strong></label><br>
				<label>Data: <strong>${dataRespostaQuestionario } </strong></label>
				<br><br>
				
				<label  id=fDadosFormulario>___________________________________________<br>Assinatura</label>
			</fieldset>

		</div>
		
		<br>
			
</body>

<div id="divButton">
    <a class="button" id="pPrincipal" href="${pageContext.request.contextPath}/">Página Inicial</a> 
	<input type="button" class="button" value="Imprimir" id="bImprimir" name="bImprimir" onClick="javascript:window.print()">
</div>

</html>