package br.com.controller;


import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.servlet.ServletContext;

import br.com.caelum.vraptor.Path;
import br.com.caelum.vraptor.Post;
import br.com.caelum.vraptor.Resource;
import br.com.caelum.vraptor.Result;
import br.com.caelum.vraptor.Validator;
import br.com.caelum.vraptor.ioc.spring.VRaptorRequestHolder;
import br.com.caelum.vraptor.validator.ValidationMessage;
import br.com.dao.HashDao;
import br.com.dao.RespostaQuestionarioDao;
import br.com.model.entity.AmostragemSiteQuestionario;
import br.com.model.entity.Formulario;
import br.com.model.entity.OpcaoResposta;
import br.com.model.entity.Pergunta;
import br.com.model.entity.Questionario;
import br.com.model.entity.RespostaQuestionario;
import br.com.util.Validacao;

@Resource
public class indexController {

  private Questionario questionario;
  private List<Validacao> mensagemValidacaoCampos = new ArrayList<Validacao>();
  private List<Validacao> mensagemValidacaoCamposOrgao = new ArrayList<Validacao>();
  private Result result;
  private Pergunta pergunta;
  private OpcaoResposta opcaoResposta;
  private RespostaQuestionario respostaQuestionario;
  private Validator validator;
  private AmostragemSiteQuestionario amostragemSiteQuestionario;
  private String path;
  private ServletContext application;



  public indexController(Result result, Validator validator, ServletContext application) {
    this.result = result;
    this.validator = validator;
    this.application = application;
    this.path = this.application.getRealPath("") + "/WEB-INF/conexao.properties";
  }

  public Questionario getQuestionario() {
    return questionario;
  }


  // public List<Validacao> getMensagemValidacaoCampos() {
  // return mensagemValidacaoCampos;
  // }

  public void setMensagemValidacaoCamposOrgao(List<Validacao> mensagemValidacaoCamposOrgao) {
    this.mensagemValidacaoCamposOrgao = mensagemValidacaoCamposOrgao;
  }

  public void setMensagemValidacaoCampos(List<Validacao> mensagemValidacaoCampos) {
    this.mensagemValidacaoCampos = mensagemValidacaoCampos;
  }

  @Post("/formulario")
  public void formulario(String hNomePessoa, String nomePessoa, String hCargo, String cargo,
      String hTelefone, String telefone, String hEmail, String email, String hAmbiente1,
      String ambiente1, String hPagina11, String pagina11, String hPagina12, String pagina12,
      String hPagina13, String pagina13, String hPagina14, String pagina14, String hAmbiente2,
      String ambiente2, String hPagina21, String pagina21, String hPagina22, String pagina22,
      String hPagina23, String pagina23, String hPagina24, String pagina24, String hAmbiente3,
      String ambiente3, String hPagina31, String pagina31, String hPagina32, String pagina32,
      String hPagina33, String pagina33, String hPagina34, String pagina34, String hAmbiente4,
      String ambiente4, String hPagina41, String pagina41, String hPagina42, String pagina42,
      String hPagina43, String pagina43, String hPagina44, String pagina44, String hAmbiente5,
      String ambiente5, String hPagina51, String pagina51, String hPagina52, String pagina52,
      String hPagina53, String pagina53, String hPagina54, String pagina54, int idQuestionario) {



    Formulario formulario = new Formulario();


    formulario.setNomePessoa(nomePessoa);
    formulario.setCargo(cargo);
    formulario.setTelefone(telefone);
    formulario.setEmail(email);
    formulario.setAmbiente1(ambiente1);
    formulario.setPagina11(pagina11);
    formulario.setPagina12(pagina12);
    formulario.setPagina13(pagina13);
    formulario.setPagina14(pagina14);
    formulario.setAmbiente2(ambiente2);
    formulario.setPagina21(pagina21);
    formulario.setPagina22(pagina22);
    formulario.setPagina23(pagina23);
    formulario.setPagina24(pagina24);
    formulario.setAmbiente3(ambiente3);
    formulario.setPagina31(pagina31);
    formulario.setPagina32(pagina32);
    formulario.setPagina33(pagina33);
    formulario.setPagina34(pagina34);
    formulario.setAmbiente4(ambiente4);
    formulario.setPagina41(pagina41);
    formulario.setPagina42(pagina42);
    formulario.setPagina43(pagina43);
    formulario.setPagina44(pagina44);
    formulario.setAmbiente5(ambiente5);
    formulario.setPagina51(pagina51);
    formulario.setPagina52(pagina52);
    formulario.setPagina53(pagina53);
    formulario.setPagina54(pagina54);
    Validacao validate = new Validacao();

    questionario = new Questionario(path, idQuestionario);

    this.setMensagemValidacaoCamposOrgao(validate.validarCamposOrgao(formulario));

    result.include("nomePessoa", nomePessoa);
    result.include("hNomePessoa", hNomePessoa);
    result.include("cargo", cargo);
    result.include("hCargo", hCargo);
    result.include("telefone", telefone);
    result.include("hTelefone", hTelefone);
    result.include("email", email);
    result.include("hEmail", hEmail);
    VRaptorRequestHolder.currentRequest().getServletContext()
        .setAttribute("valorHash", questionario.getHashAutenticacao());
    
    result.include("flagEnviado", questionario.isFlagEnviado());
  
    VRaptorRequestHolder.currentRequest().getServletContext()
    .setAttribute("flagEnviado", questionario.getHashAutenticacao());
    
    if (this.mensagemValidacaoCamposOrgao.size() > 0) {
      result.include("mensagemValidacaoCamposOrgao", mensagemValidacaoCamposOrgao);
      result.include("questionario", questionario);
      this.validator.add(new ValidationMessage("", ""));
      this.validator.onErrorUsePageOf(formularioOrgaoController.class).formularioOrgao(
          questionario.getHashAutenticacao());
    } else {

      // Cria lista das amostragens
      amostragemSiteQuestionario = new AmostragemSiteQuestionario();
      List<AmostragemSiteQuestionario> lsAmostragemSiteQuestionario =
          new ArrayList<AmostragemSiteQuestionario>();

      RespostaQuestionarioDao respostaQuestionarioDao = new RespostaQuestionarioDao();

      if (ambiente1 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(ambiente1);
        amostragemSiteQuestionario.setNomeCampo(hAmbiente1);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente1, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente1, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina11 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina11);
        amostragemSiteQuestionario.setNomeCampo(hPagina11);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina11, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina11, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina12 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina12);
        amostragemSiteQuestionario.setNomeCampo(hPagina12);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina12, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina12, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina13 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina13);
        amostragemSiteQuestionario.setNomeCampo(hPagina13);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina13, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina13, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina14 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina14);
        amostragemSiteQuestionario.setNomeCampo(hPagina14);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina14, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina14, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (ambiente2 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(ambiente2);
        amostragemSiteQuestionario.setNomeCampo(hAmbiente2);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente2, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente2, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina21 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina21);
        amostragemSiteQuestionario.setNomeCampo(hPagina21);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina21, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina21, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina22 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina22);
        amostragemSiteQuestionario.setNomeCampo(hPagina22);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina22, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina22, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina23 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina23);
        amostragemSiteQuestionario.setNomeCampo(hPagina23);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina23, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina23, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina24 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina24);
        amostragemSiteQuestionario.setNomeCampo(hPagina24);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina24, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina24, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (ambiente3 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(ambiente3);
        amostragemSiteQuestionario.setNomeCampo(hAmbiente3);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente3, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente3, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina31 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina31);
        amostragemSiteQuestionario.setNomeCampo(hPagina31);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina31, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina31, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina32 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina32);
        amostragemSiteQuestionario.setNomeCampo(hPagina32);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina32, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina32, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina33 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina33);
        amostragemSiteQuestionario.setNomeCampo(hPagina33);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina33, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina33, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina34 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina34);
        amostragemSiteQuestionario.setNomeCampo(hPagina34);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina34, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina34, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (ambiente4 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(ambiente4);
        amostragemSiteQuestionario.setNomeCampo(hAmbiente4);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente4, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente4, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina41 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina41);
        amostragemSiteQuestionario.setNomeCampo(hPagina41);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina41, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina41, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina42 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina42);
        amostragemSiteQuestionario.setNomeCampo(hPagina42);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina42, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina42, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina43 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina43);
        amostragemSiteQuestionario.setNomeCampo(hPagina43);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina43, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina43, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina44 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina44);
        amostragemSiteQuestionario.setNomeCampo(hPagina44);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina44, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina44, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (ambiente5 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(ambiente5);
        amostragemSiteQuestionario.setNomeCampo(hAmbiente5);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente5, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, ambiente5, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina51 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina51);
        amostragemSiteQuestionario.setNomeCampo(hPagina51);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina51, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina51, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina52 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina52);
        amostragemSiteQuestionario.setNomeCampo(hPagina52);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina52, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina52, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina53 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina53);
        amostragemSiteQuestionario.setNomeCampo(hPagina53);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina53, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina53, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }
      if (pagina54 != null) {
        amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(pagina54);
        amostragemSiteQuestionario.setNomeCampo(hPagina54);
        amostragemSiteQuestionario.setNotaAses(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina54, 63));
        amostragemSiteQuestionario.setNotaAccess(respostaQuestionarioDao.retornarNotaAmostragens(
            path, idQuestionario, pagina54, 64));
        lsAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (lsAmostragemSiteQuestionario.size() > 0) {
        VRaptorRequestHolder.currentRequest().getServletContext()
            .setAttribute("lsAmostragemSiteQuestionario", lsAmostragemSiteQuestionario);
        // result.include("lsAmostragemSiteQuestionario", lsAmostragemSiteQuestionario);

        // Fim cria lista das amostragens

        if (questionario.getDtInicioQuestionario() != null) {


          List<RespostaQuestionario> lsRespostaQuestionario = new ArrayList<RespostaQuestionario>();

          lsRespostaQuestionario =
              respostaQuestionarioDao.retornarRespostaQuestionarioPorQuestionario(path,
                  questionario.getIdQuestionario());
          List<Integer> curso = new ArrayList<Integer>();
          List<Integer> simValidacao = new ArrayList<Integer>();
          List<Integer> assistiva = new ArrayList<Integer>();
          List<Integer> deficiencias = new ArrayList<Integer>();
          List<Integer> ferramentaValidacao = new ArrayList<Integer>();

          for (RespostaQuestionario respostaQuestionario : lsRespostaQuestionario) {

            switch (respostaQuestionario.getPergunta().getIdPergunta()) {
              case 1:
                result
                    .include(
                        "nomeOrgao",
                        respostaQuestionario.getTextoResposta().equalsIgnoreCase("null") ? respostaQuestionario
                            .getTextoResposta().replace("null", "") : respostaQuestionario
                            .getTextoResposta());
                break;
              case 7:
                result.include("perguntaAcessibilidade", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 8:
                result.include("reclamacao", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 9:
                result
                    .include("espacoReclamacao", respostaQuestionario.getTextoResposta()
                        .equalsIgnoreCase("null") ? respostaQuestionario.getTextoResposta()
                        .replace("null", "") : respostaQuestionario.getTextoResposta());
                break;
              case 10:
                result.include("perguntaEstimulo", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 11:
                curso.add(respostaQuestionario.getOpcaoResposta().getIdOpcaoResposta());
                break;
              case 12:
                result.include("requisito", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 13:
                result
                    .include("justificativaRequisito", respostaQuestionario.getTextoResposta()
                        .equalsIgnoreCase("null") ? respostaQuestionario.getTextoResposta()
                        .replace("null", "") : respostaQuestionario.getTextoResposta());
                break;
              case 14:
                result.include("opcaoContrat", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 15:
                result.include("perguntaValidacao", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 16:
                simValidacao.add(respostaQuestionario.getOpcaoResposta().getIdOpcaoResposta());
                break;
              case 17:
                ferramentaValidacao.add(respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 18:
                result
                    .include("outroAvaliador", respostaQuestionario.getTextoResposta()
                        .equalsIgnoreCase("null") ? respostaQuestionario.getTextoResposta()
                        .replace("null", "") : respostaQuestionario.getTextoResposta());
                break;
              /*
               * case 20: result.include("nivelWcag", respostaQuestionario.getOpcaoResposta()
               * .getIdOpcaoResposta()); break;
               */
              case 21:
                result.include("checklistQtnList", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 22:
                deficiencias.add(respostaQuestionario.getOpcaoResposta().getIdOpcaoResposta());
                break;
              case 23:
                result.include("funcionalidade", respostaQuestionario.getOpcaoResposta()
                    .getIdOpcaoResposta());
                break;
              case 24:
                assistiva.add(respostaQuestionario.getOpcaoResposta().getIdOpcaoResposta());
                break;
              case 25:
                result
                    .include("justificativaAssistiva", respostaQuestionario.getTextoResposta()
                        .equalsIgnoreCase("null") ? respostaQuestionario.getTextoResposta()
                        .replace("null", "") : respostaQuestionario.getTextoResposta());
                break;
              case 26:
                result
                    .include("dificuldadePrazo", respostaQuestionario.getTextoResposta()
                        .equalsIgnoreCase("null") ? respostaQuestionario.getTextoResposta()
                        .replace("null", "") : respostaQuestionario.getTextoResposta());
                break;
              default:
                break;
            }


          }
          result.include("curso", curso);
          result.include("simValidacao", simValidacao);
          result.include("assistiva", assistiva);
          result.include("deficiencias", deficiencias);
          result.include("ferramentaValidacao", ferramentaValidacao);
          result.include("questionario", questionario);

        }
      }

    }

  }

  @Post("/salvar-formulario")
  public void FormularioControllerSalvar(String hNomePessoa, String nomePessoa, String hCargo,
      String cargo, String hTelefone, String telefone, String hEmail, String email,
      String hPerguntaAcessibilidade, String perguntaAcessibilidade, String hReclamacao,
      String reclamacao, String hEspacoReclamacao, String espacoReclamacao,
      String hPerguntaEstimulo, String perguntaEstimulo, String hCurso, String[] curso,
      String hRequisito, String requisito, String hJustificativaRequisito,
      String justificativaRequisito, String hOpcaoContrat, String opcaoContrat,
      String hPerguntaValidacao, String perguntaValidacao, String hSimValidacao,
      String[] simValidacao, String hFerramentaValidacao, String[] ferramentaValidacao,
      String hOutroAvaliador, String outroAvaliador, String hChecklistQtnList,
      String checklistQtnList, String hDeficiencias, String[] deficiencias, String hFuncionalidade,
      String funcionalidade, String hAssistiva, String[] assistiva, String hJustificativaAssistiva,
      String justificativaAssistiva, String hDificuldadePrazo, String dificuldadePrazo,
      int idQuestionario, String hAmbiente1, String ases_hAmbiente1,
      String hAmostragemSiteQuestionario, String accessMonitor_hAmbiente1, String hPagina11,
      String ases_hPagina11, String accessMonitor_hPagina11, String hPagina12,
      String ases_hPagina12, String accessMonitor_hPagina12, String hPagina13,
      String ases_hPagina13, String accessMonitor_hPagina13, String hPagina14,
      String ases_hPagina14, String accessMonitor_hPagina14, String hAmbiente2,
      String ases_hAmbiente2, String accessMonitor_hAmbiente2, String hPagina21,
      String ases_hPagina21, String accessMonitor_hPagina21, String hPagina22,
      String ases_hPagina22, String accessMonitor_hPagina22, String hPagina23,
      String ases_hPagina23, String accessMonitor_hPagina23, String hPagina24,
      String ases_hPagina24, String accessMonitor_hPagina24, String hAmbiente3,
      String ases_hAmbiente3, String accessMonitor_hAmbiente3, String hPagina31,
      String ases_hPagina31, String accessMonitor_hPagina31, String hPagina32,
      String ases_hPagina32, String accessMonitor_hPagina32, String hPagina33,
      String ases_hPagina33, String accessMonitor_hPagina33, String hPagina34,
      String ases_hPagina34, String accessMonitor_hPagina34, String hAmbiente4,
      String ases_hAmbiente4, String accessMonitor_hAmbiente4, String hPagina41,
      String ases_hPagina41, String accessMonitor_hPagina41, String hPagina42,
      String ases_hPagina42, String accessMonitor_hPagina42, String hPagina43,
      String ases_hPagina43, String accessMonitor_hPagina43, String hPagina44,
      String ases_hPagina44, String accessMonitor_hPagina44, String hAmbiente5,
      String ases_hAmbiente5, String accessMonitor_hAmbiente5, String hPagina51,
      String ases_hPagina51, String accessMonitor_hPagina51, String hPagina52,
      String ases_hPagina52, String accessMonitor_hPagina52, String hPagina53,
      String ases_hPagina53, String accessMonitor_hPagina53, String hPagina54,
      String ases_hPagina54, String accessMonitor_hPagina54) {


    List<AmostragemSiteQuestionario> lsAmostragemSiteQuestionario =
        new ArrayList<AmostragemSiteQuestionario>();
    List<AmostragemSiteQuestionario> novaListaAmostragemSiteQuestionario =
        new ArrayList<AmostragemSiteQuestionario>();

    lsAmostragemSiteQuestionario =
        (List<AmostragemSiteQuestionario>) VRaptorRequestHolder.currentRequest()
            .getServletContext().getAttribute("lsAmostragemSiteQuestionario");


    for (AmostragemSiteQuestionario amostra : lsAmostragemSiteQuestionario) {

      if (hAmbiente1 != null
          && hAmbiente1.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
       // amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
      //      .getIdAmostraSiteQuestionario());
       amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hAmbiente1);
        amostragemSiteQuestionario.setNotaAses(ases_hAmbiente1);
      //  amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
      //  amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
      //  amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina11 != null && hPagina11.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();

       // amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
       //     .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina11);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina11);
       // amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
       // amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
      //  amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina12 != null && hPagina12.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
      //  amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
        //    .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina12);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina12);
       // amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
       // amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
      //  amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina13 != null && hPagina13.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
       // amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
       //     .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina13);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina13);
        //amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
       // amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
     //  amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina14 != null && hPagina14.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
      //  amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
      //      .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina14);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina14);
    //    amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
     //   amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
      //  amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hAmbiente2 != null
          && hAmbiente2.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hAmbiente2);
        amostragemSiteQuestionario.setNotaAses(ases_hAmbiente2);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina21 != null && hPagina21.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina21);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina21);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina22 != null && hPagina22.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina22);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina22);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina23 != null && hPagina23.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina23);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina23);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina24 != null && hPagina24.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina24);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina24);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hAmbiente3 != null
          && hAmbiente3.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hAmbiente3);
        amostragemSiteQuestionario.setNotaAses(ases_hAmbiente3);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina31 != null && hPagina31.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina31);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina31);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina32 != null && hPagina32.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina32);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina32);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina33 != null && hPagina33.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina33);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina33);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina34 != null && hPagina34.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina34);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina34);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hAmbiente4 != null
          && hAmbiente4.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hAmbiente4);
        amostragemSiteQuestionario.setNotaAses(ases_hAmbiente4);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina41 != null && hPagina41.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina41);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina41);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina42 != null && hPagina42.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina42);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina42);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina43 != null && hPagina43.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina43);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina43);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina44 != null && hPagina44.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina44);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina44);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }


      if (hAmbiente5 != null
          && hAmbiente5.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hAmbiente5);
        amostragemSiteQuestionario.setNotaAses(ases_hAmbiente5);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina51 != null && hPagina51.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina51);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina51);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina52 != null && hPagina52.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina52);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina52);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina53 != null && hPagina53.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {

        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina53);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina53);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }

      if (hPagina54 != null && hPagina54.equalsIgnoreCase(amostra.getUrlAmostraSiteQuestionario())) {
        
        AmostragemSiteQuestionario amostragemSiteQuestionario = new AmostragemSiteQuestionario();
        
        amostragemSiteQuestionario.setIdAmostraSiteQuestionario(amostra
            .getIdAmostraSiteQuestionario());
        amostragemSiteQuestionario.setNomeCampo(amostra.getNomeCampo());
        amostragemSiteQuestionario.setNotaAccess(accessMonitor_hPagina54);
        amostragemSiteQuestionario.setNotaAses(ases_hPagina54);
        amostragemSiteQuestionario.setOpcaoResposta(amostra.getOpcaoResposta());
        amostragemSiteQuestionario.setQuestionario(amostra.getQuestionario());
        amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(amostra
            .getUrlAmostraSiteQuestionario());
        amostragemSiteQuestionario.setValorNota(amostra.getValorNota());
        novaListaAmostragemSiteQuestionario.add(amostragemSiteQuestionario);
      }


    }

    VRaptorRequestHolder.currentRequest().getServletContext()
    .setAttribute("lsAmostragemSiteQuestionario", novaListaAmostragemSiteQuestionario);

    Formulario formulario = new Formulario();
    questionario = new Questionario(path, idQuestionario);


    formulario.setNomePessoa(nomePessoa);
    formulario.setCargo(cargo);
    formulario.setTelefone(telefone);
    formulario.setEmail(email);
    formulario.setPerguntaAcessibilidade(perguntaAcessibilidade);
    formulario.setReclamacao(reclamacao);
    formulario.setEspacoReclamacao(espacoReclamacao);
    formulario.setPerguntaEstimulo(perguntaEstimulo);
    formulario.setCurso(curso);
    formulario.setRequisito(requisito);
    formulario.setJustificativaRequisito(justificativaRequisito);
    formulario.setOpcaoContrat(opcaoContrat);
    formulario.setPerguntaValidacao(perguntaValidacao);
    formulario.setSimValidacao(simValidacao);
    formulario.setFerramentaValidacao(ferramentaValidacao);
    formulario.setOutroAvaliador(outroAvaliador);
    // formulario.setNivelWcag(nivelWcag);
    formulario.setDeficiencias(deficiencias);
    formulario.setChecklist(checklistQtnList);
    formulario.setFuncionalidade(funcionalidade);
    formulario.setAssistiva(assistiva);
    formulario.setJustificativaAssistiva(justificativaAssistiva);
    formulario.setDificuldadePrazo(dificuldadePrazo);

    Validacao validate = new Validacao();


    this.setMensagemValidacaoCampos(validate.validarCampos(formulario));


    if (this.mensagemValidacaoCampos.size() > 0) {
      result.include("mensagemValidacaoCampos", mensagemValidacaoCampos);

      VRaptorRequestHolder.currentRequest().getServletContext()
          .setAttribute("questionario", questionario);

      this.validator.add(new ValidationMessage("", ""));
      this.validator.onErrorUsePageOf(indexController.class).formulario(hNomePessoa, nomePessoa,
          hCargo, cargo, hTelefone, telefone, hEmail, email, ases_hAmbiente1, hAmbiente1,
          ases_hPagina11, hPagina11, ases_hPagina12, hPagina12, ases_hPagina13, hPagina13,
          ases_hPagina14, hPagina14, ases_hAmbiente2, hAmbiente2, ases_hPagina21, hPagina21,
          ases_hPagina22, hPagina22, ases_hPagina23, hPagina23, ases_hPagina24, hPagina24,
          ases_hAmbiente3, hAmbiente3, ases_hPagina31, hPagina31, ases_hPagina32, hPagina32,
          ases_hPagina33, hPagina33, ases_hPagina34, hPagina34, ases_hAmbiente4, hAmbiente4,
          ases_hPagina41, hPagina41, ases_hPagina42, hPagina42, ases_hPagina43, hPagina43,
          ases_hPagina44, hPagina44, ases_hAmbiente5, hAmbiente5, ases_hPagina51, hPagina51,
          ases_hPagina52, hPagina52, ases_hPagina53, hPagina53, ases_hPagina54, hPagina54,
          idQuestionario);

      result.include("nomePessoa", nomePessoa);
      result.include("hNomePessoa", hNomePessoa);
      result.include("cargo", cargo);
      result.include("hCargo", hCargo);
      result.include("telefone", telefone);
      result.include("hTelefone", hTelefone);
      result.include("email", email);
      result.include("hEmail", hEmail);
      VRaptorRequestHolder.currentRequest().getServletContext()
          .setAttribute("valorHash", questionario.getHashAutenticacao());

    } else {

      List<RespostaQuestionario> lsRespostaQuestionario = new ArrayList<RespostaQuestionario>();

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hNomePessoa),
          Integer.valueOf(1), nomePessoa, questionario, null, null));

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hCargo),
          Integer.valueOf(1), cargo, questionario, null, null));

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hTelefone),
          Integer.valueOf(1), telefone, questionario, null, null));

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hEmail),
          Integer.valueOf(1), email, questionario, null, null));

      lsRespostaQuestionario.add(retornarRespostaQuestionario(
          Integer.valueOf(hPerguntaAcessibilidade), Integer.valueOf(perguntaAcessibilidade), "",
          questionario, null, null));
      // formulario.setPerguntaAcessibilidade(perguntaAcessibilidade);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hReclamacao),
          Integer.valueOf(reclamacao), "", questionario, null, null));
      // formulario.setReclamacao(espacoReclamacao);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hEspacoReclamacao),
          Integer.valueOf(1), espacoReclamacao, questionario, null, null));
      // formulario.setEspacoReclamacao(espacoReclamacao);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hPerguntaEstimulo),
          Integer.valueOf(perguntaEstimulo), "", questionario, null, null));
      // formulario.setPerguntaEstimulo(perguntaEstimulo);

      for (String strCurso : curso) {
        lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hCurso),
            Integer.valueOf(strCurso), "", questionario, null, null));
      }

      // formulario.setCurso(curso);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hRequisito),
          Integer.valueOf(requisito), "", questionario, null, null));
      // formulario.setRequisito(requisito);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(
          Integer.valueOf(hJustificativaRequisito), Integer.valueOf(1), justificativaRequisito,
          questionario, null, null));
      // formulario.setJustificativaRequisito(justificativaRequisito);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hOpcaoContrat),
          Integer.valueOf(opcaoContrat), "", questionario, null, null));
      // formulario.setOpcaoContrat(opcaoContrat);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hPerguntaValidacao),
          Integer.valueOf(perguntaValidacao), "", questionario, null, null));
      // formulario.setPerguntaValidacao(perguntaValidacao);

      for (String strSimValidacao : simValidacao) {
        lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hSimValidacao),
            Integer.valueOf(strSimValidacao), "", questionario, null, null));
      }

      // formulario.setSimValidacao(simValidacao);

      for (String strFerramentaValidacao : ferramentaValidacao) {
        lsRespostaQuestionario.add(retornarRespostaQuestionario(
            Integer.valueOf(hFerramentaValidacao), Integer.valueOf(strFerramentaValidacao), "",
            questionario, null, null));
      }

      // formulario.setFerramentaValidacao(ferramentaValidacao);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hOutroAvaliador),
          Integer.valueOf(1), outroAvaliador, questionario, null, null));
      // formulario.setOutroAvaliador(outroAvaliador);

      // lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hNivelAses),
      // Integer.valueOf(nivelAses), "", questionario,null,null));
      // formulario.setNivelAses(nivelAses);

      // lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hNivelWcag),
      // Integer.valueOf(nivelWcag), "", questionario, null, null));


      // lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hNivelAccessMonitor),
      // Integer.valueOf(nivelAccessMonitor), "", questionario,null,null));
      // formulario.setNivelAccessMonitor(nivelAccessMonitor);


      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hChecklistQtnList),
          Integer.valueOf(checklistQtnList), "", questionario, null, null));
      // formulario.setChecklist(checklist);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hFuncionalidade),
          Integer.valueOf(funcionalidade), "", questionario, null, null));
      // formulario.setFuncionalidade(funcionalidade);

      for (String strdeficiencias : deficiencias) {
        lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hDeficiencias),
            Integer.valueOf(strdeficiencias), "", questionario, null, null));
      }

      for (String strAssistiva : assistiva) {
        lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hAssistiva),
            Integer.valueOf(strAssistiva), "", questionario, null, null));
      }

      // lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hAssistiva),
      // assistiva, "" , questionario));
      // formulario.setAssistiva(assistiva);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(
          Integer.valueOf(hJustificativaAssistiva), Integer.valueOf(1), justificativaAssistiva,
          questionario, null, null));
      // formulario.setJustificativaAssistiva(justificativaAssistiva);

      lsRespostaQuestionario.add(retornarRespostaQuestionario(Integer.valueOf(hDificuldadePrazo),
          Integer.valueOf(1), dificuldadePrazo, questionario, null, null));
      // formulario.setDificuldadePrazo(dificuldadePrazo);


      // Adiciona as amostragens na lista "lsRespostaQuestionario"


      List<Validacao> mensagens = new ArrayList<Validacao>();
      Validacao validacao;

      if (hAmbiente1 != null && ases_hAmbiente1 != null && accessMonitor_hAmbiente1 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hAmbiente1, "ases_hAmbiente1", hAmbiente1, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hAmbiente1,
              questionario, "hAmbiente1", hAmbiente1));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hAmbiente1, "accessMonitor_hAmbiente1",
                hAmbiente1, false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hAmbiente1, questionario, "hAmbiente1", hAmbiente1));
        } else {
          mensagens.add(validacao);
        }
      }



      if (hPagina11 != null && ases_hPagina11 != null && accessMonitor_hPagina11 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina11, "ases_hPagina11", hPagina11, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina11,
              questionario, "hPagina11", hPagina11));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina11, "accessMonitor_hPagina11", hPagina11,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina11, questionario, "hPagina11", hPagina11));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina12 != null && ases_hPagina12 != null && accessMonitor_hPagina12 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina12, "ases_hPagina12", hPagina12, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina12,
              questionario, "hPagina12", hPagina12));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina12, "accessMonitor_hPagina12", hPagina12,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina12, questionario, "hPagina12", hPagina12));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina13 != null && ases_hPagina13 != null && accessMonitor_hPagina13 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina13, "ases_hPagina13", hPagina13, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina13,
              questionario, "hPagina13", hPagina13));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina13, "accessMonitor_hPagina13", hPagina13,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina13, questionario, "hPagina13", hPagina13));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina14 != null && ases_hPagina14 != null && accessMonitor_hPagina14 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina14, "ases_hPagina14", hPagina14, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina14,
              questionario, "hPagina14", hPagina14));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina14, "accessMonitor_hPagina14", hPagina14,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina14, questionario, "hPagina14", hPagina14));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hAmbiente2 != null && ases_hAmbiente2 != null && accessMonitor_hAmbiente2 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hAmbiente2, "ases_hAmbiente2", hAmbiente2, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hAmbiente2,
              questionario, "hAmbiente2", hAmbiente2));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hAmbiente2, "accessMonitor_hAmbiente2",
                hAmbiente2, false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hAmbiente2, questionario, "hAmbiente2", hAmbiente2));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina21 != null && ases_hPagina21 != null && accessMonitor_hPagina21 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina21, "ases_hPagina21", hPagina21, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina21,
              questionario, "hPagina21", hPagina21));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina21, "accessMonitor_hPagina21", hPagina21,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina21, questionario, "hPagina21", hPagina21));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina22 != null && ases_hPagina22 != null && accessMonitor_hPagina22 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina22, "ases_hPagina22", hPagina22, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina22,
              questionario, "hPagina22", hPagina22));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina22, "accessMonitor_hPagina22", hPagina22,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina22, questionario, "hPagina22", hPagina22));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina23 != null && ases_hPagina23 != null && accessMonitor_hPagina23 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina23, "ases_hPagina23", hPagina23, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina23,
              questionario, "hPagina23", hPagina23));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina23, "accessMonitor_hPagina23", hPagina23,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina23, questionario, "hPagina23", hPagina23));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina24 != null && ases_hPagina24 != null && accessMonitor_hPagina24 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina24, "ases_hPagina24", hPagina24, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina24,
              questionario, "hPagina24", hPagina24));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina24, "accessMonitor_hPagina24", hPagina24,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina24, questionario, "hPagina24", hPagina24));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hAmbiente3 != null && ases_hAmbiente3 != null && accessMonitor_hAmbiente3 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hAmbiente3, "ases_hAmbiente3", hAmbiente3, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hAmbiente3,
              questionario, "hAmbiente3", hAmbiente3));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hAmbiente3, "accessMonitor_hAmbiente3",
                hAmbiente3, false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hAmbiente3, questionario, "hAmbiente3", hAmbiente3));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina31 != null && ases_hPagina31 != null && accessMonitor_hPagina31 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina31, "ases_hPagina31", hPagina31, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina31,
              questionario, "hPagina31", hPagina31));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina31, "accessMonitor_hPagina31", hPagina31,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina31, questionario, "hPagina31", hPagina31));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina32 != null && ases_hPagina32 != null && accessMonitor_hPagina32 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina32, "ases_hPagina32", hPagina32, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina32,
              questionario, "hPagina32", hPagina32));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina32, "accessMonitor_hPagina32", hPagina32,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina32, questionario, "hPagina32", hPagina32));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina33 != null && ases_hPagina33 != null && accessMonitor_hPagina33 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina33, "ases_hPagina33", hPagina33, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina33,
              questionario, "hPagina33", hPagina33));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina33, "accessMonitor_hPagina33", hPagina33,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina33, questionario, "hPagina33", hPagina33));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina34 != null && ases_hPagina34 != null && accessMonitor_hPagina34 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina34, "ases_hPagina34", hPagina34, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina34,
              questionario, "hPagina34", hPagina34));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina34, "accessMonitor_hPagina34", hPagina34,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina34, questionario, "hPagina34", hPagina34));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hAmbiente4 != null && ases_hAmbiente4 != null && accessMonitor_hAmbiente4 != null) {

        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hAmbiente4, "ases_hAmbiente4", hAmbiente4, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hAmbiente4,
              questionario, "hAmbiente4", hAmbiente4));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hAmbiente4, "accessMonitor_hAmbiente4",
                hAmbiente4, false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hAmbiente4, questionario, "hAmbiente4", hAmbiente4));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina41 != null && ases_hPagina41 != null && accessMonitor_hPagina41 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina41, "ases_hPagina41", hPagina41, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina41,
              questionario, "hPagina41", hPagina41));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina41, "accessMonitor_hPagina41", hPagina41,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina41, questionario, "hPagina41", hPagina41));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina42 != null && ases_hPagina42 != null && accessMonitor_hPagina42 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina42, "ases_hPagina42", hPagina42, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina42,
              questionario, "hPagina42", hPagina42));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina42, "accessMonitor_hPagina42", hPagina42,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina42, questionario, "hPagina42", hPagina42));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina43 != null && ases_hPagina43 != null && accessMonitor_hPagina43 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina43, "ases_hPagina43", hPagina43, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina43,
              questionario, "hPagina43", hPagina43));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina43, "accessMonitor_hPagina43", hPagina43,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina43, questionario, "hPagina43", hPagina43));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina44 != null && ases_hPagina44 != null && accessMonitor_hPagina44 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina44, "ases_hPagina44", hPagina44, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina44,
              questionario, "hPagina44", hPagina44));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina44, "accessMonitor_hPagina44", hPagina44,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina44, questionario, "hPagina44", hPagina44));
        } else {
          mensagens.add(validacao);
        }
      }


      if (hAmbiente5 != null && ases_hAmbiente5 != null && accessMonitor_hAmbiente5 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hAmbiente5, "ases_hAmbiente5", hAmbiente5, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hAmbiente5,
              questionario, "hAmbiente5", hAmbiente5));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hAmbiente5, "accessMonitor_hAmbiente5",
                hAmbiente5, false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hAmbiente5, questionario, "hAmbiente5", hAmbiente5));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina51 != null && ases_hPagina51 != null && accessMonitor_hPagina51 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina51, "ases_hPagina51", hPagina51, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina51,
              questionario, "hPagina51", hPagina51));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina51, "accessMonitor_hPagina51", hPagina51,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina51, questionario, "hPagina51", hPagina51));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina52 != null && ases_hPagina52 != null && accessMonitor_hPagina52 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina52, "ases_hPagina52", hPagina52, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina52,
              questionario, "hPagina52", hPagina52));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina52, "accessMonitor_hPagina52", hPagina52,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina52, questionario, "hPagina52", hPagina52));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina53 != null && ases_hPagina53 != null && accessMonitor_hPagina53 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina53, "ases_hPagina53", hPagina53, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina53,
              questionario, "hPagina53", hPagina53));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina53, "accessMonitor_hPagina53", hPagina53,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina53, questionario, "hPagina53", hPagina53));
        } else {
          mensagens.add(validacao);
        }
      }

      if (hPagina54 != null && ases_hPagina54 != null && accessMonitor_hPagina54 != null) {
        validacao = new Validacao();
        validacao = validacao.validarNotas(ases_hPagina54, "ases_hPagina54", hPagina54, true);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(63), ases_hPagina54,
              questionario, "hPagina54", hPagina54));
        } else {
          mensagens.add(validacao);
        }

        validacao = new Validacao();
        validacao =
            validacao.validarNotas(accessMonitor_hPagina54, "accessMonitor_hPagina54", hPagina54,
                false);
        if (validacao.getCampo() == null) {
          lsRespostaQuestionario.add(retornarRespostaQuestionario(
              Integer.valueOf(hAmostragemSiteQuestionario), Integer.valueOf(64),
              accessMonitor_hPagina54, questionario, "hPagina54", hPagina54));
        } else {
          mensagens.add(validacao);
        }
      }

      // Fim Adiciona as amostragens na lista "lsRespostaQuestionario"

      if (mensagens.size() > 0) {
        result.include("mensagemValidacaoCampos", mensagens);


        lsAmostragemSiteQuestionario =
            (List<AmostragemSiteQuestionario>) VRaptorRequestHolder.currentRequest()
                .getServletContext().getAttribute("lsAmostragemSiteQuestionario");

        VRaptorRequestHolder.currentRequest().getServletContext()
            .setAttribute("lsAmostragemSiteQuestionario", lsAmostragemSiteQuestionario);

        VRaptorRequestHolder.currentRequest().getServletContext()
            .setAttribute("questionario", questionario);

        this.validator.add(new ValidationMessage("", ""));
        this.validator.onErrorUsePageOf(indexController.class).formulario(hNomePessoa, nomePessoa,
            hCargo, cargo, hTelefone, telefone, hEmail, email, ases_hAmbiente1, hAmbiente1,
            ases_hPagina11, hPagina11, ases_hPagina12, hPagina12, ases_hPagina13, hPagina13,
            ases_hPagina14, hPagina14, ases_hAmbiente2, hAmbiente2, ases_hPagina21, hPagina21,
            ases_hPagina22, hPagina22, ases_hPagina23, hPagina23, ases_hPagina24, hPagina24,
            ases_hAmbiente3, hAmbiente3, ases_hPagina31, hPagina31, ases_hPagina32, hPagina32,
            ases_hPagina33, hPagina33, ases_hPagina34, hPagina34, ases_hAmbiente4, hAmbiente4,
            ases_hPagina41, hPagina41, ases_hPagina42, hPagina42, ases_hPagina43, hPagina43,
            ases_hPagina44, hPagina44, ases_hAmbiente5, hAmbiente5, ases_hPagina51, hPagina51,
            ases_hPagina52, hPagina52, ases_hPagina53, hPagina53, ases_hPagina54, hPagina54,
            idQuestionario);

        result.include("nomePessoa", nomePessoa);
        result.include("hNomePessoa", hNomePessoa);
        result.include("cargo", cargo);
        result.include("hCargo", hCargo);
        result.include("telefone", telefone);
        result.include("hTelefone", hTelefone);
        result.include("email", email);
        result.include("hEmail", hEmail);
        VRaptorRequestHolder.currentRequest().getServletContext()
            .setAttribute("valorHash", questionario.getHashAutenticacao());

      } else {
        RespostaQuestionarioDao respostaQuestionarioDao = new RespostaQuestionarioDao();

        boolean formularioGravado = false;

        formularioGravado = respostaQuestionarioDao.salvar(path, lsRespostaQuestionario);

        if (formularioGravado) {
          result.include("idQuestionario", questionario.getIdQuestionario());
          this.validator.add(new ValidationMessage("", ""));
          this.validator.onErrorUsePageOf(confirmacaoController.class).confirmacao();
        }

        lsRespostaQuestionario = null;
      }
    }
  }

  private RespostaQuestionario retornarRespostaQuestionario(int idPergunta, int idOpcaoResposta,
      String textoResposta, Questionario questionario, String nomeCampo,
      String urlAmostraSiteQuestionario) {

    pergunta = new Pergunta(path, idPergunta);
    opcaoResposta = new OpcaoResposta(path, idOpcaoResposta);
    respostaQuestionario = new RespostaQuestionario();
    amostragemSiteQuestionario = new AmostragemSiteQuestionario();

    amostragemSiteQuestionario.setNomeCampo(nomeCampo);
    amostragemSiteQuestionario.setQuestionario(questionario);
    amostragemSiteQuestionario.setUrlAmostraSiteQuestionario(urlAmostraSiteQuestionario);

    respostaQuestionario.setOpcaoResposta(opcaoResposta);
    respostaQuestionario.setPergunta(pergunta);
    respostaQuestionario.setQuestionario(questionario);
    respostaQuestionario.setTextoResposta(textoResposta);
    respostaQuestionario.setAmostragemSiteQuestionario(amostragemSiteQuestionario);


    return respostaQuestionario;
  }
}
