package br.com.dao;

import java.security.NoSuchAlgorithmException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import br.com.model.entity.Questionario;
import br.com.util.DateUtil;
import br.com.util.GeradorCodigoHash;

public class HashDao {

  public boolean verificarDataExpirada(String path, String valorHash) {
    
    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    boolean dataExpirada = true;
  
  
    try {
     
      estado = con.createStatement();

      estado.execute(sql.toString());
      
      sql.append(" SELECT id_questionario, dt_inicio_questionario, dt_fim_questionario, ");
      sql.append(" no_orgao, hash_autenticacao, questionario_respondido, email_destino_orgao, ");
      sql.append(" responsavel, cargo_responsavel, telefone, data_recebimento_email, ");
      sql.append(" idautorizacao, data_resposta_email, flag_enviado ");      
      sql.append(" FROM questionario where hash_autenticacao = '" + valorHash + "'");
      sql.append(" and (dt_inicio_questionario <= '" + DateUtil.dataHoraAtual() + "')");
      sql.append(" and (dt_fim_questionario >= '" + DateUtil.dataHoraAtual() + "');");

      rset = estado.executeQuery(sql.toString());

      while (rset.next()) {
        dataExpirada = false;
      }

    } catch (SQLException e) {
      System.out.println("Deu erro!");
      e.printStackTrace();

    } finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return dataExpirada;
  }
  public Questionario verificarHash(String path, String valorHash) {

    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    Questionario questionario = new Questionario();
  
    try {
     //String hashAutenticacao = GeradorCodigoHash.gerarHash(valorHash);
      estado = con.createStatement();

      estado.execute(sql.toString());
      
      sql.append(" SELECT id_questionario, dt_inicio_questionario, dt_fim_questionario, ");
      sql.append(" no_orgao, hash_autenticacao, questionario_respondido, email_destino_orgao, ");
      sql.append(" responsavel, cargo_responsavel, telefone, data_recebimento_email, ");
      sql.append(" idautorizacao, data_resposta_email, flag_enviado ");      
      sql.append(" FROM questionario where hash_autenticacao = '" + valorHash + "';");
      //sql.append(" and (dt_inicio_questionario <= '" + DateUtil.dataHoraAtual() + "')");
      //sql.append(" and (dt_fim_questionario >= '" + DateUtil.dataHoraAtual() + "');");

      rset = estado.executeQuery(sql.toString());

      while (rset.next()) {
        questionario.setIdQuestionario(rset.getInt("id_questionario"));
        
        questionario.setDtFimQuestionario(rset.getString("dt_fim_questionario"));
        questionario.setDtInicioQuestionario(rset.getString("dt_inicio_questionario"));
        questionario.setHashAutenticacao(rset.getString("hash_autenticacao"));
        questionario.setNoOrgao(rset.getString("no_orgao").replace("</br>", "").replace("<br>", ""));
        questionario.setHashAutenticacao(rset.getString("hash_autenticacao"));
        questionario.setQuestionario_respondido(rset.getBoolean("questionario_respondido"));
        questionario.setResponsavel(rset.getString("responsavel"));
        questionario.setCargoResponsavel(rset.getString("cargo_responsavel"));
        questionario.setTelefone(rset.getString("telefone"));
        questionario.setFlagEnviado(rset.getBoolean("flag_enviado"));
        questionario.setEmailDestinoOrgao(rset.getString("email_destino_orgao"));
      }

    } catch (SQLException e) {
      System.out.println("Deu erro!");
      e.printStackTrace();

    } finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return questionario;
  }
  
  public Questionario verificarQuestionario(String path, int idQuestionario) {

    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    Questionario questionario = new Questionario();
  
    try {
     //String hashAutenticacao = GeradorCodigoHash.gerarHash(valorHash);
      estado = con.createStatement();

      estado.execute(sql.toString());
      
      sql.append(" SELECT id_questionario, dt_inicio_questionario, dt_fim_questionario, ");
      sql.append(" no_orgao, hash_autenticacao, questionario_respondido, email_destino_orgao, ");
      sql.append(" responsavel, cargo_responsavel, telefone, data_recebimento_email, ");
      sql.append(" idautorizacao, data_resposta_email, flag_enviado ");      
      sql.append(" FROM questionario where id_questionario = '" + idQuestionario + "';");
      

      rset = estado.executeQuery(sql.toString());

      while (rset.next()) {
        questionario.setIdQuestionario(rset.getInt("id_questionario"));
        
        questionario.setDtFimQuestionario(rset.getString("dt_fim_questionario"));
        questionario.setDtInicioQuestionario(rset.getString("dt_inicio_questionario"));
        questionario.setHashAutenticacao(rset.getString("hash_autenticacao"));
        questionario.setNoOrgao(rset.getString("no_orgao").replace("</br>", "").replace("<br>", ""));
        questionario.setHashAutenticacao(rset.getString("hash_autenticacao"));
        questionario.setQuestionario_respondido(rset.getBoolean("questionario_respondido"));
        questionario.setResponsavel(rset.getString("responsavel"));
        questionario.setCargoResponsavel(rset.getString("cargo_responsavel"));
        questionario.setTelefone(rset.getString("telefone"));
        questionario.setFlagEnviado(rset.getBoolean("flag_enviado"));
        questionario.setEmailDestinoOrgao(rset.getString("email_destino_orgao"));
      }

    } catch (SQLException e) {
      System.out.println("Deu erro!");
      e.printStackTrace();

    } finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return questionario;
  }
}
