package br.com.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import br.com.model.entity.Orgao;

public class OrgaoDao {

	  public ResultSet retornarOrgaos(String path) {

		    StringBuffer sql = new StringBuffer();
		    Connection con = Conexao.conecta(path);
		    Statement estado;
		    ResultSet rset = null;

		    try {
		      estado = con.createStatement();

		      estado.execute(sql.toString());
		      sql.append(" SELECT id_orgao, no_orgao, id_questionario   FROM public.orgao order by no_orgao; ");
		      
		      rset = estado.executeQuery(sql.toString());

		      return rset;
		    } catch (SQLException e) {
		      e.printStackTrace();
		      return null;

		    }finally {
		      if (con != null) {
		        try {
		          con.close();
		        } catch (SQLException e) {
		          e.printStackTrace();
		        }
		      }
		    }

		  }
	  
	  public Orgao retornarOrgaoPorId(String path, int idOrgao) {

		    StringBuffer sql = new StringBuffer();
		    Connection con = Conexao.conecta(path);
		    Statement estado;
		    ResultSet rset = null;
		    Orgao orgao = new Orgao();

		    try {
		      estado = con.createStatement();

		      estado.execute(sql.toString());
		      sql.append(" SELECT *   FROM public.orgao where id_orgao = "+ idOrgao +" order by no_orgao; ");
		      
		      rset = estado.executeQuery(sql.toString());
		      
		      while (rset.next()) {
				orgao.setIdOrgao(idOrgao);
				orgao.setNomeOrgao(rset.getString("no_orgao"));
				orgao.setIdQuestionario(rset.getInt("id_questionario"));
				
			}

		      return orgao;
		    } catch (SQLException e) {
		      e.printStackTrace();
		      return null;

		    }finally {
		      if (con != null) {
		        try {
		          con.close();
		        } catch (SQLException e) {
		          e.printStackTrace();
		        }
		      }
		    }

		  }
	  
	  public boolean atualizarQuestionarioOrgao(String path, Orgao orgao)
	  {
	    
	    StringBuffer sql = new StringBuffer();
	    Connection con = Conexao.conecta(path);
	    PreparedStatement estado;
	    int resultado = 0;
	    boolean salvoComSucesso = false;
	   
	    
	   
	      try {              
	              
	        sql = new StringBuffer();
	        sql.append(" UPDATE public.orgao    SET  id_questionario = ?  WHERE id_orgao = ?; ");        

	        estado = con.prepareStatement(sql.toString());
	        
	        estado.setInt(1, orgao.getIdQuestionario());
	        estado.setInt(2, orgao.getIdOrgao());
	        
	        resultado = estado.executeUpdate();
	        
	        if (resultado == 0) {
	          salvoComSucesso = false;
	        } else {
	        
	          salvoComSucesso = true;
	        }
	              
	      } catch (SQLException e) {
	        
	        e.printStackTrace();
	      }
	    
	      return salvoComSucesso;
	  }
}
