package br.com.dao;

import java.io.InputStream;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import br.com.model.entity.PlanoTrabalho;
import br.com.model.entity.Questionario;

public class PlanoTrabalhoDao {


  public PlanoTrabalho verificaPlanoTrabalho(String path, Integer idQuestionario)
  {
  

      String sql = "";
      Connection con = Conexao.conecta(path);
      Statement estado;
      ResultSet rset = null;
      //boolean existePlanoTrabalho = false;
      int idPlanoTrabalho = -1;
      PlanoTrabalho planoTrabalho = new PlanoTrabalho();
      
      try {
        
        estado = con.createStatement();

        estado.execute(sql.toString());
        sql = "SELECT *   FROM public.plano_trabalho where id_questionario =" + idQuestionario + ";" ;
       
        rset = estado.executeQuery(sql);
        
        while (rset.next()) {          
          planoTrabalho.setIdPlanoTrabalho(rset.getInt("id_plano_trabalho"));
          planoTrabalho.setArquivoPlanoTrabalho(rset.getBytes("arquivo_plano_trabalho"));
          planoTrabalho.setArquivoRelatorioAss(rset.getBytes("arquivo_relatorio_ass"));
          planoTrabalho.setNomeExtensaoPlanoTrabalho(rset.getString("extensao_plano_trabalho")); 
          planoTrabalho.setNomeExtensaoRelatorioAss(rset.getString("extensao_relatorio_ass")); 
          planoTrabalho.setNomePlanoTrabalho(rset.getString("nome_plano_trabalho")); 
          planoTrabalho.setNomeRelatorioAss(rset.getString("nome_relatorio_ass")); 
          
          Questionario quest = new Questionario(path, idQuestionario);
          planoTrabalho.setQuestionario(quest); 
        }

      } catch (SQLException e) {
        System.out.println("Deu erro!");
        e.printStackTrace();

      } finally {
        if (con != null) {
          try {
            con.close();
          } catch (SQLException e) {
            e.printStackTrace();
          }
        }
      }

      return planoTrabalho;
    }
  
  public boolean salvarPlanoTrabalho(String path, InputStream file, Questionario questionario, String nomeArquivo,String nomeExtensao)
  {
    
    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    PreparedStatement estado;
    int resultado = 0;
    boolean salvoComSucesso = false;
   
      try {
              
        sql = new StringBuffer();
        sql.append(" INSERT INTO public.plano_trabalho(id_questionario, arquivo_plano_trabalho, nome_plano_trabalho,extensao_plano_trabalho) VALUES (?, ?, ?, ?); ");        
        
        estado = con.prepareStatement(sql.toString());
                
        estado.setInt(1, questionario.getIdQuestionario());        
        estado.setBinaryStream(2, file);  
        estado.setString(3, nomeArquivo);
        estado.setString(4, nomeExtensao);  
        
        resultado = estado.executeUpdate();
        
        if (resultado == 0) {
          salvoComSucesso = false;
        } else {
        
          salvoComSucesso = true;
        }
              
      } catch (SQLException e) {
        
        e.printStackTrace();
      }
    
      return salvoComSucesso;
  }
  
  public boolean salvarRelatorioAss(String path, InputStream file, Questionario questionario, String nomeArquivo, String nomeExtensao)
  {
    
    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    PreparedStatement estado;
    int resultado = 0;
    boolean salvoComSucesso = false;
   
      try {
              
        sql = new StringBuffer();
        sql.append(" INSERT INTO public.plano_trabalho(id_questionario, arquivo_relatorio_ass, nome_relatorio_ass, extensao_relatorio_ass) VALUES (?, ?, ?, ?); ");        
        
        estado = con.prepareStatement(sql.toString());
                
        estado.setInt(1, questionario.getIdQuestionario());        
        estado.setBinaryStream(2, file);  
        estado.setString(3, nomeArquivo); 
        estado.setString(4, nomeExtensao);  
        
        resultado = estado.executeUpdate();
        
        if (resultado == 0) {
          salvoComSucesso = false;
        } else {
        
          salvoComSucesso = true;
        }
              
      } catch (SQLException e) {
        
        e.printStackTrace();
      }
    
      return salvoComSucesso;
  }
  
  public boolean atualizarPlanoTrabalho(String path, InputStream file, Questionario questionario, int idPlanoTrabalho, String nomeArquivo, String nomeExtensao)
  {
    
    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    PreparedStatement estado;
    int resultado = 0;
    boolean salvoComSucesso = false;
   
      try {
              
        sql = new StringBuffer();
        //sql.append(" INSERT INTO public.plano_trabalho(id_questionario, arquivo_plano_trabalho) VALUES (?, ?); ");        
        sql.append(" UPDATE public.plano_trabalho");
        sql.append(" SET  arquivo_plano_trabalho=?,");
        sql.append( " nome_plano_trabalho =?, ");
        sql.append( " extensao_plano_trabalho =? ");
        sql.append(" WHERE id_plano_trabalho=?;");
        
        estado = con.prepareStatement(sql.toString());
                
        //estado.setInt(1, questionario.getIdQuestionario());        
        estado.setBinaryStream(1, file); 
        estado.setString(2,  nomeArquivo);
        estado.setString(3,  nomeExtensao);
        estado.setInt(4, idPlanoTrabalho);
        
        
        resultado = estado.executeUpdate();
        
        if (resultado == 0) {
          salvoComSucesso = false;
        } else {
        
          salvoComSucesso = true;
        }
              
      } catch (SQLException e) {
        
        e.printStackTrace();
      }
    
      return salvoComSucesso;
  }
  
  public boolean atualizarRelatorioAss(String path, InputStream file, Questionario questionario, int idPlanoTrabalho, String nomeArquivo, String nomeExtensao)
  {
    
    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    PreparedStatement estado;
    int resultado = 0;
    boolean salvoComSucesso = false;
   
      try {
              
        sql = new StringBuffer();
        //sql.append(" INSERT INTO public.plano_trabalho(id_questionario, arquivo_plano_trabalho) VALUES (?, ?); ");        
        sql.append(" UPDATE public.plano_trabalho");
        sql.append(" SET  arquivo_relatorio_ass=?,");
        sql.append( " nome_relatorio_ass =?, ");
        sql.append( " extensao_relatorio_ass =? ");
        sql.append(" WHERE id_plano_trabalho=?;");
        
        estado = con.prepareStatement(sql.toString());
                
        //estado.setInt(1, questionario.getIdQuestionario());        
        estado.setBinaryStream(1, file); 
        estado.setString(2,  nomeArquivo);
        estado.setString(3,  nomeExtensao);
        estado.setInt(4, idPlanoTrabalho);
        
        resultado = estado.executeUpdate();
        
        if (resultado == 0) {
          salvoComSucesso = false;
        } else {
        
          salvoComSucesso = true;
        }
              
      } catch (SQLException e) {
        
        e.printStackTrace();
      }
    
      return salvoComSucesso;
  }
  
  
  public PlanoTrabalho recuperarPlanoTrabalho(String path, Questionario questionario)
  {
  

      String sql = "";
      Connection con = Conexao.conecta(path);
      Statement estado;
      ResultSet rset = null;     
      //byte[] imgBytes = null;
      PlanoTrabalho planoTrabalho = new PlanoTrabalho();
     
     
      try {
        
        
        estado = con.createStatement();

        estado.execute(sql.toString());
        sql = "SELECT *   FROM public.plano_trabalho where id_questionario =" + questionario.getIdQuestionario() + ";" ;
       
        rset = estado.executeQuery(sql);
        
        while (rset.next()) {                 
          planoTrabalho.setIdPlanoTrabalho(rset.getInt("id_plano_trabalho"));
          planoTrabalho.setArquivoPlanoTrabalho(rset.getBytes("arquivo_plano_trabalho"));          
          planoTrabalho.setNomeExtensaoPlanoTrabalho(rset.getString("extensao_plano_trabalho"));          
          planoTrabalho.setArquivoRelatorioAss(rset.getBytes("arquivo_relatorio_ass"));
          planoTrabalho.setNomeExtensaoRelatorioAss(rset.getString("extensao_relatorio_ass")); 
          planoTrabalho.setNomePlanoTrabalho(rset.getString("nome_plano_trabalho"));
          planoTrabalho.setNomeRelatorioAss(rset.getString("nome_relatorio_ass"));
          planoTrabalho.setQuestionario(questionario);        
        }

      } catch (SQLException e) {
        System.out.println("Deu erro!");
        e.printStackTrace();
      } finally {
        if (con != null) {
          try {
            con.close();
          } catch (SQLException e) {
            e.printStackTrace();
          }
        }
      }

      return planoTrabalho;
    }
      
}
