package br.com.dao;

import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import br.com.controller.confirmacaoController;
import br.com.model.entity.Pergunta;
import br.com.model.entity.Questionario;
import br.com.model.entity.RespostaQuestionario;
import br.com.util.DateUtil;

public class RespostaQuestionarioDao {

  
  public ResultSet retornarRespostaQuestionario(String path, int id_resposta_questionario) {

    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;

    try {
      estado = con.createStatement();

      estado.execute(sql.toString());
      sql.append(" SELECT id_resposta_questionario, id_pergunta, id_opcao_resposta, texto_resposta, dt_resposta_questionario, id_questionario, id_amostra_site_questionario");
      sql.append(" FROM public.resposta_questionario where id_resposta_questionario = "+ id_resposta_questionario +";");
      
      rset = estado.executeQuery(sql.toString());
     
      return rset;
    } catch (SQLException e) {
      e.printStackTrace();
      return null;

    }finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

  }
  
  public ResultSet retornarRespostaQuestionarioRelatorio(String path, int id_resposta_questionario) {

    StringBuffer sql = new StringBuffer();
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;

    try {
      estado = con.createStatement();

      estado.execute(sql.toString());
      sql.append(" SELECT id_resposta_questionario, id_pergunta, id_opcao_resposta, texto_resposta, dt_resposta_questionario, id_questionario, id_amostra_site_questionario");
      sql.append(" FROM public.resposta_questionario where id_resposta_questionario = "+ id_resposta_questionario +";");
      
      rset = estado.executeQuery(sql.toString());
     
      return rset;
    } catch (SQLException e) {
      e.printStackTrace();
      return null;

    }finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

  }
  
  public String verificaRespostaQuestionario(String path, Integer idQuestionario)
  {
  

      String sql = "";
      Connection con = Conexao.conecta(path);
      Statement estado;
      ResultSet rset = null;
      String dataRespostaQuestionario = "";
      try {
        
        estado = con.createStatement();

        estado.execute(sql.toString());
        sql = "SELECT max(TO_CHAR(dt_resposta_questionario,'DD-MM-YYYY')) as  dt_resposta_questionario  FROM public.resposta_questionario where id_questionario = " + idQuestionario + ";" ;
       
        rset = estado.executeQuery(sql);
        
        while (rset.next()) {
          dataRespostaQuestionario = rset.getString("dt_resposta_questionario");
        }

      } catch (SQLException e) {
        System.out.println("Deu erro!");
        e.printStackTrace();

      } finally {
        if (con != null) {
          try {
            con.close();
          } catch (SQLException e) {
            e.printStackTrace();
          }
        }
      }

      return dataRespostaQuestionario;
    }

  public List<RespostaQuestionario> retornarRespostaQuestionarioPorQuestionario(String path, int idQuestionario) {

    StringBuffer sql = new StringBuffer();    
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    String dataUltimoRegistro = "";
    
    RespostaQuestionario respostaQuestionario;
    List<RespostaQuestionario> lsRespostaQuestionario = new ArrayList<RespostaQuestionario>();
    
    try {
        estado = con.createStatement();

        estado.execute(sql.toString());
        String sqlData = "SELECT MAX(dt_resposta_questionario) as dt_resposta_questionario  FROM public.resposta_questionario  where id_questionario = " + idQuestionario;
        
        rset = estado.executeQuery(sqlData);
        con.close();
        
        while (rset.next()) { 
          dataUltimoRegistro = rset.getString("dt_resposta_questionario");
        }
        
        
        sql.append(" SELECT id_resposta_questionario ");
        sql.append(" FROM public.resposta_questionario where dt_resposta_questionario = '" + dataUltimoRegistro + "' and id_questionario = "+ idQuestionario +" order by id_resposta_questionario;");
        
        con = Conexao.conecta(path);
        estado = con.createStatement();
        
        rset = estado.executeQuery(sql.toString());
        con.close();
        
        while (rset.next()) {                   
          respostaQuestionario = new RespostaQuestionario(path, Integer.parseInt(rset.getString("id_resposta_questionario")));
          lsRespostaQuestionario.add(respostaQuestionario);                
        }

    } catch (SQLException e) {
        System.out.println("Deu erro!");
        e.printStackTrace();
        
    }finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return lsRespostaQuestionario;
}
 
  public String retornarDataRespostaQuestionarioPorQuestionario(String path, int idQuestionario) {

    StringBuffer sql = new StringBuffer();    
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    String dataUltimoRegistro = "";
    
    RespostaQuestionario respostaQuestionario;
    List<RespostaQuestionario> lsRespostaQuestionario = new ArrayList<RespostaQuestionario>();
    
    try {
        estado = con.createStatement();

        estado.execute(sql.toString());
        String sqlData = "SELECT MAX(to_char((dt_resposta_questionario), 'DD-MM-yyyy')) as dt_resposta_questionario  FROM public.resposta_questionario  where id_questionario = " + idQuestionario;
        
        rset = estado.executeQuery(sqlData);
        con.close();
        
        while (rset.next()) { 
          dataUltimoRegistro = rset.getString("dt_resposta_questionario");
        }       
        

    } catch (SQLException e) {
       
        e.printStackTrace();
        
    }finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return dataUltimoRegistro;
}
  
  //opcaoResposta '63' = Nota ASES '64' = Nota AccessMonitor
  public String retornarNotaAmostragens(String path, int idQuestionario, String amostragem, int opcaoResposta) {

    StringBuffer sql = new StringBuffer();    
    Connection con = Conexao.conecta(path);
    Statement estado;
    ResultSet rset = null;
    String dataUltimoRegistro = "";
    
    String valorNota = "";
   
    try {
        estado = con.createStatement();

        estado.execute(sql.toString());
        String sqlData = "SELECT MAX(dt_resposta_questionario) as dt_resposta_questionario  FROM public.resposta_questionario  where id_questionario = " + idQuestionario;
        
        rset = estado.executeQuery(sqlData);
        con.close();
        
        while (rset.next()) { 
          dataUltimoRegistro = rset.getString("dt_resposta_questionario");
        }
        
        
        sql.append(" SELECT texto_resposta ");
        sql.append(" FROM public.resposta_questionario  ");
        sql.append(" where id_amostra_site_questionario in (SELECT id_amostra_site_questionario ");
        sql.append(" FROM public.amostra_site_questionario  ");
        sql.append(" where url_amostra_site_questionario = '"+ amostragem +"')   ");
        sql.append(" and id_opcao_resposta = "+ opcaoResposta +" and id_questionario = "+ idQuestionario );
        sql.append(" and dt_resposta_questionario = '"+ dataUltimoRegistro +"' order by id_resposta_questionario; ");
        
        con = Conexao.conecta(path);
        estado = con.createStatement();
        
        rset = estado.executeQuery(sql.toString());
        con.close();
        
        while (rset.next()) {                   
          valorNota = rset.getString("texto_resposta");            
        }

    } catch (SQLException e) {     
        e.printStackTrace();
        
    }finally {
      if (con != null) {
        try {
          con.close();
        } catch (SQLException e) {
          e.printStackTrace();
        }
      }
    }

    return valorNota;
}
  
  public boolean salvar(String path, List<RespostaQuestionario> lsRespostaQuestionario) {

    Connection con = null;
    int resultado = 0;    
    int idQuestionario = 0;
    String resultadoAmostragem = null;
    StringBuffer sql;
    StringBuffer sqlUpdate;
    Statement estado;
    boolean salvoComSucesso = false;
    String dataHoraRespostaQuestionario = DateUtil.dataHoraAtual();
    try {

      con = Conexao.conecta(path);
      if (con != null) {
        con.setAutoCommit(false);
        // cria statement para executar a query
        estado = con.createStatement();
        for (RespostaQuestionario respostaQuestionario : lsRespostaQuestionario) {
          
          sql = new StringBuffer();
      
          if(respostaQuestionario.getAmostragemSiteQuestionario().getUrlAmostraSiteQuestionario() != null)
          {
            AmostragemSiteQuestionarioDao amostragemSiteQuestionarioDao = new AmostragemSiteQuestionarioDao();
            resultado = amostragemSiteQuestionarioDao.salvarAmostragem(respostaQuestionario.getAmostragemSiteQuestionario(), con, estado);
            resultadoAmostragem = String.valueOf(resultado);
          }

          sql.append("INSERT INTO resposta_questionario(id_pergunta, id_opcao_resposta, texto_resposta, dt_resposta_questionario, id_questionario, id_amostra_site_questionario)");
          sql.append("VALUES (" + respostaQuestionario.getPergunta().getIdPergunta() + ","
              + respostaQuestionario.getOpcaoResposta().getIdOpcaoResposta() + ",'");
          sql.append(respostaQuestionario.getTextoResposta() + "','" + dataHoraRespostaQuestionario + "',");
          sql.append(respostaQuestionario.getQuestionario().getIdQuestionario() + "," + resultadoAmostragem + ");");
          
          resultado = estado.executeUpdate(sql.toString());
          
          idQuestionario = respostaQuestionario.getQuestionario().getIdQuestionario();
          
          if (resultado == 0) {
            con.rollback();
            break;
          }
        }
        if (resultado > 0) {
          
       
        sqlUpdate = new StringBuffer();
        sqlUpdate.append(" UPDATE public.questionario    SET  questionario_respondido=true where id_questionario = "+ idQuestionario +";");
       
        resultado = estado.executeUpdate(sqlUpdate.toString());
        }
        
        if (resultado == 0) {
          con.rollback();         
        }
        
        if (resultado > 0) {
          con.commit();
          salvoComSucesso = true;
        }
      }

    }

    catch (SQLException e) {
      System.err.print(e.getMessage());
    } finally {
      if (con != null) {
        try {
          con.close();
          lsRespostaQuestionario = null;
        } catch (SQLException e) {          
          e.printStackTrace();
        }
      }
    }

    return salvoComSucesso;
  } 
  
}
