package br.com.model.entity;

import java.sql.ResultSet;

import br.com.dao.RespostaQuestionarioDao;

public class RespostaQuestionario {

  private int idRespostaQuestionario;
  private AmostragemSiteQuestionario amostragemSiteQuestionario;
  private Questionario questionario;
  private Pergunta pergunta;
  private OpcaoResposta opcaoResposta;
  private String dtRespostaQuestionario;
  private String textoResposta;
   

  public RespostaQuestionario() {

  }

  public RespostaQuestionario(String path, int idRespostaQuestionario) {
    ResultSet rset = null;
    RespostaQuestionarioDao respostaQuestionarioDao = new RespostaQuestionarioDao();

    rset = respostaQuestionarioDao.retornarRespostaQuestionario(path, idRespostaQuestionario);
    try {
      while (rset.next()) {
        this.idRespostaQuestionario = idRespostaQuestionario;
        this.amostragemSiteQuestionario = new AmostragemSiteQuestionario(path, rset.getInt("id_amostra_site_questionario"));
        this.questionario = new Questionario(path, Integer.parseInt(rset.getString("id_questionario")));
        this.pergunta = new Pergunta(path, Integer.parseInt(rset.getString("id_pergunta")));
        this.opcaoResposta =
            new OpcaoResposta(path, Integer.parseInt(rset.getString("id_opcao_resposta")));
        this.dtRespostaQuestionario = rset.getDate("dt_resposta_questionario").toString();
        this.textoResposta = rset.getString("texto_resposta");
      }
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

  public RespostaQuestionario(String path, int idRespostaQuestionario, boolean relatorio) {
    ResultSet rset = null;
    RespostaQuestionarioDao respostaQuestionarioDao = new RespostaQuestionarioDao();

    rset = respostaQuestionarioDao.retornarRespostaQuestionarioRelatorio(path,idRespostaQuestionario);
    try {
      while (rset.next()) {
        this.idRespostaQuestionario = idRespostaQuestionario;
        this.amostragemSiteQuestionario = new AmostragemSiteQuestionario(path,rset.getInt("id_amostra_site_questionario"));
        this.questionario = new Questionario(path,Integer.parseInt(rset.getString("id_questionario")));
        this.pergunta = new Pergunta(path,Integer.parseInt(rset.getString("id_pergunta")));
        this.opcaoResposta =
            new OpcaoResposta(path,Integer.parseInt(rset.getString("id_opcao_resposta")));
        this.dtRespostaQuestionario = rset.getDate("dt_resposta_questionario").toString();
        this.textoResposta = rset.getString("texto_resposta");
      }
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
  
  public int getIdRespostaQuestionario() {
    return idRespostaQuestionario;
  }

  public void setIdRespostaQuestionario(int idRespostaQuestionario) {
    this.idRespostaQuestionario = idRespostaQuestionario;
  }

  public AmostragemSiteQuestionario getAmostragemSiteQuestionario() {
    return amostragemSiteQuestionario;
  }

  public void setAmostragemSiteQuestionario(AmostragemSiteQuestionario amostraSiteQuestionario) {
    this.amostragemSiteQuestionario = amostraSiteQuestionario;
  }

  public Questionario getQuestionario() {
    return questionario;
  }

  public void setQuestionario(Questionario questionario) {
    this.questionario = questionario;
  }

  public Pergunta getPergunta() {
    return pergunta;
  }

  public void setPergunta(Pergunta pergunta) {
    this.pergunta = pergunta;
  }

  public OpcaoResposta getOpcaoResposta() {
    return opcaoResposta;
  }

  public void setOpcaoResposta(OpcaoResposta opcaoResposta) {
    this.opcaoResposta = opcaoResposta;
  }

  public String getDtRespostaQuestionario() {
    return dtRespostaQuestionario;
  }

  public void setDtRespostaQuestionario(String dtRespostaQuestionario) {
    this.dtRespostaQuestionario = dtRespostaQuestionario;
  }

  public String getTextoResposta() {
    return textoResposta;
  }

  public void setTextoResposta(String textoResposta) {
    this.textoResposta = textoResposta;
  }



}
