package br.com.util;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;



import br.com.caelum.vraptor.validator.ValidationMessage;
import br.com.dao.HashDao;
import br.com.model.entity.Contato;
import br.com.model.entity.Formulario;
import br.com.model.entity.Questionario;

public class Validacao {

  private String campo;
  private String mensagem;

  public String getCampo() {
    return campo;
  }

  public void setCampo(String campo) {
    this.campo = campo;
  }

  public String getMensagem() {
    return mensagem;
  }

  public void setMensagem(String mensagem) {
    this.mensagem = mensagem;
  }

  public List<Validacao> validarHashEmitirRelatorio(String path, String hashAutenticacao) {

    Validacao validacao;

    List<Validacao> mensagens = new ArrayList<Validacao>();

    if (hashAutenticacao.equalsIgnoreCase("")) {
      validacao = new Validacao();

      validacao.setCampo("valorHash");
      validacao.setMensagem("O campo 'Código de Acesso' deve ser preenchido!");
      mensagens.add(validacao);
    } else {
      Questionario questionario = new Questionario();
      HashDao hashDao = new HashDao();

      questionario = hashDao.verificarHash(path,hashAutenticacao);

      if (questionario.getNoOrgao() == null) {
        validacao = new Validacao();
        validacao.setCampo("valorHash");
        validacao
            .setMensagem("Código de acesso inválido, entre com um código de acesso válido!");
        mensagens.add(validacao);
      }
      if (questionario.getNoOrgao() != null && !questionario.isQuestionario_respondido()) {
        validacao = new Validacao();
        validacao.setCampo("valorHash");
        validacao
            .setMensagem("Não foi encontrado relatório respondido para esse 'Código de Acesso'.");
        mensagens.add(validacao);
      }
    }

    return mensagens;

  }
  
  
  
  public List<Validacao> validarHash(String path, String hashAutenticacao) {

    Validacao validacao;

    List<Validacao> mensagens = new ArrayList<Validacao>();

    if (hashAutenticacao.equalsIgnoreCase("")) {
      validacao = new Validacao();

      validacao.setCampo("valorHash");
      validacao.setMensagem("O campo 'Código de Acesso' deve ser preenchido!");
      mensagens.add(validacao);
    } else {
      Questionario questionario = new Questionario();
      HashDao hashDao = new HashDao();

      questionario = hashDao.verificarHash(path,hashAutenticacao);

      if (questionario.getNoOrgao() == null) {
        validacao = new Validacao();
        validacao.setCampo("valorHash");
        validacao
            .setMensagem("Código de acesso inválido, entre com um código de acesso válido!");
        mensagens.add(validacao);
      }
      
    }

    return mensagens;

  }

  
  
  public List<Validacao> validarCamposOrgao(Formulario formulario) {

    Validacao validacao;

    List<Validacao> mensagens = new ArrayList<Validacao>();

    /*
     * if(formulario.getNomeOrgao() == null){ validacao = new Validacao(); validacao.campo =
     * formulario.getNomeOrgao(); validacao.mensagem = "Favor informar o nome do Órgão!";
     * 
     * mensagens.add(validacao);
     * 
     * }
     */

    if (formulario.getNomePessoa() == null) {
      validacao = new Validacao();
      validacao.campo = "nomePessoa";
      validacao.mensagem = "Favor preencher o campo 'Nome'!";
      mensagens.add(validacao);
    }

    if (formulario.getCargo() == null) {
      validacao = new Validacao();
      validacao.campo = "cargo";
      validacao.mensagem = "Favor preencher o campo 'Cargo'!";
      mensagens.add(validacao);
    }

    if (formulario.getTelefone() == null) {
      validacao = new Validacao();
      validacao.campo = "telefone";
      validacao.mensagem = "Favor preencher o campo 'Telefone'!";
      mensagens.add(validacao);
    }

    if (formulario.getEmail() == null) {
      validacao = new Validacao();
      validacao.campo = "email";
      validacao.mensagem = "Favor preencher o campo 'E-mail'!";
      mensagens.add(validacao);

    }
    if (formulario.getAmbiente1() == null) {
      validacao = new Validacao();
      validacao.campo = "ambiente1";
      validacao.mensagem = "Favor informar um ambiente!";
      mensagens.add(validacao);

    } else {
      if (verificarAmostragensRepetidas(formulario.getAmbiente1(), formulario, "Ambiente1", 1)) {
        validacao = new Validacao();
        validacao.campo = "ambiente1";
        validacao.mensagem = "O endereço '" + formulario.getAmbiente1() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina11() == null) {
      validacao = new Validacao();
      validacao.campo = "pagina11";
      validacao.mensagem = "Favor informar um mínimo de 4(quatro) páginas!";
      mensagens.add(validacao);

    } else {
      if (verificarAmostragensRepetidas(formulario.getPagina11(), formulario, "Pagina11", 2)) {
        validacao = new Validacao();
        validacao.campo = "pagina11";
        validacao.mensagem = "O endereço '" + formulario.getPagina11() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina12() == null) {
      validacao = new Validacao();
      validacao.campo = "pagina12";
      validacao.mensagem = "Favor informar um mínimo de 4(quatro) páginas!";
      mensagens.add(validacao);

    } else {
      if (verificarAmostragensRepetidas(formulario.getPagina12(), formulario, "Pagina12", 3)) {
        validacao = new Validacao();
        validacao.campo = "pagina12";
        validacao.mensagem = "O endereço '" + formulario.getPagina12() + "' está repetido!";
        mensagens.add(validacao);
      }


    }
    if (formulario.getPagina13() == null) {
      validacao = new Validacao();
      validacao.campo = "pagina13";
      validacao.mensagem = "Favor informar um mínimo de 4(quatro) páginas!";
      mensagens.add(validacao);

    } else {
      if (verificarAmostragensRepetidas(formulario.getPagina13(), formulario, "Pagina13", 4)) {
        validacao = new Validacao();
        validacao.campo = "pagina13";
        validacao.mensagem = "O endereço '" + formulario.getPagina13() + "' está repetido!";
        mensagens.add(validacao);
      }

    }
    if (formulario.getPagina14() == null) {
      validacao = new Validacao();
      validacao.campo = "pagina14";
      validacao.mensagem = "Favor informar um mínimo de 4(quatro) páginas!";
      mensagens.add(validacao);

    } else {
      if (verificarAmostragensRepetidas(formulario.getPagina14(), formulario, "Pagina14", 5)) {
        validacao = new Validacao();
        validacao.campo = "pagina14";
        validacao.mensagem = "O endereço '" + formulario.getPagina14() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getAmbiente2() != null) {
      if (verificarAmostragensRepetidas(formulario.getAmbiente2(), formulario, "Ambiente2", 6)) {
        validacao = new Validacao();
        validacao.campo = "ambiente2";
        validacao.mensagem = "O endereço '" + formulario.getAmbiente2() + "' está repetido!";
        mensagens.add(validacao);
      }

    }
    if (formulario.getPagina21() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina21(), formulario, "Pagina21", 7)) {
        validacao = new Validacao();
        validacao.campo = "pagina21";
        validacao.mensagem = "O endereço '" + formulario.getPagina21() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina22() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina22(), formulario, "Pagina22", 8)) {
        validacao = new Validacao();
        validacao.campo = "pagina22";
        validacao.mensagem = "O endereço '" + formulario.getPagina22() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina23() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina23(), formulario, "Pagina23", 9)) {
        validacao = new Validacao();
        validacao.campo = "pagina23";
        validacao.mensagem = "O endereço '" + formulario.getPagina23() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina24() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina24(), formulario, "Pagina24", 10)) {
        validacao = new Validacao();
        validacao.campo = "pagina24";
        validacao.mensagem = "O endereço '" + formulario.getPagina24() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getAmbiente3() != null) {
      if (verificarAmostragensRepetidas(formulario.getAmbiente3(), formulario, "Ambiente3", 11)) {
        validacao = new Validacao();
        validacao.campo = "ambiente3";
        validacao.mensagem = "O endereço '" + formulario.getAmbiente3() + "' está repetido!";
        mensagens.add(validacao);
      }

    }
    if (formulario.getPagina31() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina31(), formulario, "Pagina31", 12)) {
        validacao = new Validacao();
        validacao.campo = "pagina31";
        validacao.mensagem = "O endereço '" + formulario.getPagina31() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina32() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina32(), formulario, "Pagina32", 13)) {
        validacao = new Validacao();
        validacao.campo = "pagina32";
        validacao.mensagem = "O endereço '" + formulario.getPagina32() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina33() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina33(), formulario, "Pagina33", 14)) {
        validacao = new Validacao();
        validacao.campo = "pagina33";
        validacao.mensagem = "O endereço '" + formulario.getPagina33() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina34() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina34(), formulario, "Pagina34", 15)) {
        validacao = new Validacao();
        validacao.campo = "pagina34";
        validacao.mensagem = "O endereço '" + formulario.getPagina34() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getAmbiente4() != null) {
      if (verificarAmostragensRepetidas(formulario.getAmbiente4(), formulario, "Ambiente4", 16)) {
        validacao = new Validacao();
        validacao.campo = "ambiente4";
        validacao.mensagem = "O endereço '" + formulario.getAmbiente4() + "' está repetido!";
        mensagens.add(validacao);
      }

    }
    if (formulario.getPagina41() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina41(), formulario, "Pagina41", 17)) {
        validacao = new Validacao();
        validacao.campo = "pagina41";
        validacao.mensagem = "O endereço '" + formulario.getPagina41() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina42() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina42(), formulario, "Pagina42", 18)) {
        validacao = new Validacao();
        validacao.campo = "pagina42";
        validacao.mensagem = "O endereço '" + formulario.getPagina42() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina43() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina43(), formulario, "Pagina43", 19)) {
        validacao = new Validacao();
        validacao.campo = "pagina43";
        validacao.mensagem = "O endereço '" + formulario.getPagina43() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina44() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina44(), formulario, "Pagina44", 20)) {
        validacao = new Validacao();
        validacao.campo = "pagina44";
        validacao.mensagem = "O endereço '" + formulario.getPagina44() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getAmbiente5() != null) {
      if (verificarAmostragensRepetidas(formulario.getAmbiente5(), formulario, "Ambiente5", 21)) {
        validacao = new Validacao();
        validacao.campo = "ambiente5";
        validacao.mensagem = "O endereço '" + formulario.getAmbiente5() + "' está repetido!";
        mensagens.add(validacao);
      }

    }
    if (formulario.getPagina51() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina51(), formulario, "Pagina51", 22)) {
        validacao = new Validacao();
        validacao.campo = "pagina51";
        validacao.mensagem = "O endereço '" + formulario.getPagina51() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina52() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina52(), formulario, "Pagina52", 23)) {
        validacao = new Validacao();
        validacao.campo = "pagina52";
        validacao.mensagem = "O endereço '" + formulario.getPagina52() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPagina53() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina53(), formulario, "Pagina53", 24)) {
        validacao = new Validacao();
        validacao.campo = "pagina53";
        validacao.mensagem = "O endereço '" + formulario.getPagina53() + "' está repetido!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getPagina54() != null) {
      if (verificarAmostragensRepetidas(formulario.getPagina54(), formulario, "Pagina54", 25)) {
        validacao = new Validacao();
        validacao.campo = "pagina54";
        validacao.mensagem = "O endereço '" + formulario.getPagina54() + "' está repetido!";
        mensagens.add(validacao);
      }
    }
    return mensagens;
  }

  
  
  public List<Validacao> validarCampos(Formulario formulario) {


    Validacao validacao;

    List<Validacao> mensagens = new ArrayList<Validacao>();


    if (formulario.getPerguntaAcessibilidade() == null) {
      validacao = new Validacao();
      validacao.campo = "perguntaAcessibilidade";
      validacao.mensagem = "A pergunta de número '1' precisa ser respondida!";
      mensagens.add(validacao);
    }

    if (formulario.getReclamacao() == null) {
      validacao = new Validacao();
      validacao.campo = "reclamacao";
      validacao.mensagem = "A pergunta de número '2' precisa ser respondida!";
      mensagens.add(validacao);
    }
    if (formulario.getReclamacao() != null && formulario.getReclamacao().equalsIgnoreCase("2")) {
      if (formulario.getEspacoReclamacao() == null) {
        validacao = new Validacao();
        validacao.campo = "espacoReclamacao";
        validacao.mensagem = "A pergunta de número '3' precisa ser respondida!";
        mensagens.add(validacao);

      }
    }
    if (formulario.getReclamacao() != null && formulario.getReclamacao().equalsIgnoreCase("3")) {
      if (formulario.getEspacoReclamacao() != null && formulario.getEspacoReclamacao() != " ") {
        validacao = new Validacao();
        validacao.campo = "espacoReclamacao";
        validacao.mensagem = "A questão '3' somente poderá ser respondida, caso não tenha escolhido 'não' na questão '2'!";
        mensagens.add(validacao);

      }
    }


    if (formulario.getPerguntaEstimulo() == null) {
      validacao = new Validacao();
      validacao.campo = "perguntaEstimulo";
      validacao.mensagem = "A pergunta de número '4' precisa ser respondida!";
      mensagens.add(validacao);

    }

    if (formulario.getPerguntaEstimulo() != null
        && formulario.getPerguntaEstimulo().equalsIgnoreCase("2")) {
      if (formulario.getCurso().length == 0) {
        validacao = new Validacao();
        validacao.campo = "cursoPergunta";
        validacao.mensagem = "A pergunta de número '5' precisa ser respondida!";
        mensagens.add(validacao);
      }
    }
    if (formulario.getPerguntaEstimulo() != null
        && formulario.getPerguntaEstimulo().equalsIgnoreCase("5") || formulario.getPerguntaEstimulo().equalsIgnoreCase("6")) {
      if (formulario.getCurso().length > 0) {
        validacao = new Validacao();
        validacao.campo = "cursoPergunta";
        validacao.mensagem = "A questão '5' somente poderá ser respondida, caso tenha escolhido 'sim' na questão '4'!";
        mensagens.add(validacao);
      }
    }

    if (formulario.getRequisito().equalsIgnoreCase("13")) {
      if (formulario.getJustificativaRequisito() == null) {
        validacao = new Validacao();
        validacao.campo = "justificativaRequisito";
        validacao.mensagem = "A pergunta de número '7' precisa ser respondida!";
        mensagens.add(validacao);

      }
    }else
    {
      if (formulario.getJustificativaRequisito() != null && formulario.getJustificativaRequisito() != " ") {
        validacao = new Validacao();
        validacao.campo = "justificativaRequisito";
        validacao.mensagem = "A questão '7' somente poderá ser respondida, caso tenha escolhido 'Sim, observamos os requisitos de outros modelos que não os especificados acima' na questão '6'!";
        mensagens.add(validacao);

      }
    }
    
    

    if (formulario.getPerguntaValidacao() == null) {
      validacao = new Validacao();
      validacao.campo = "perguntaValidacao";
      validacao.mensagem = "A pergunta de número '9' precisa ser respondida!";
      mensagens.add(validacao);

    }

    if (formulario.getPerguntaValidacao() != null
        && formulario.getPerguntaValidacao().equalsIgnoreCase("2")) {
      if (formulario.getSimValidacao() == null || formulario.getSimValidacao().length == 0) {
        validacao = new Validacao();
        validacao.campo = "simValidacaoPergunta";
        validacao.mensagem = "A pergunta de número '10' precisa ser respondida!";
        mensagens.add(validacao);

      }
    }
    if (formulario.getPerguntaValidacao() != null
        && !formulario.getPerguntaValidacao().equalsIgnoreCase("2")) {
      if (formulario.getSimValidacao().length > 0) {
        validacao = new Validacao();
        validacao.campo = "simValidacaoPergunta";
        validacao.mensagem = "A questão '10' somente poderá ser respondida, caso tenha escolhido 'sim' na questão '9'!";
        mensagens.add(validacao);

      }
    }
    if (formulario.getFerramentaValidacao() == null
        || formulario.getFerramentaValidacao().length == 0) {
      validacao = new Validacao();
      validacao.campo = "ferramentaValidacaoPergunta";
      validacao.mensagem = "A pergunta de número '11' precisa ser respondida!";
      mensagens.add(validacao);

    }


    if (formulario.getFerramentaValidacao() != null
        && formulario.getFerramentaValidacao().length > 0) {
      for (String ferramentaValidacao : formulario.getFerramentaValidacao()) {
        if (ferramentaValidacao.equalsIgnoreCase("34")) {
          if (formulario.getOutroAvaliador() == null) {
            validacao = new Validacao();
            validacao.campo = "outroAvaliador";
            validacao.mensagem = "A pergunta de número '12' precisa ser respondida!";
            mensagens.add(validacao);

          }
        }
      }
    }
    
    if (formulario.getFerramentaValidacao() != null
        && formulario.getFerramentaValidacao().length > 0) {
      boolean responderQuestao12 = false;
      
      for (String ferramentaValidacao : formulario.getFerramentaValidacao()) {
        if (ferramentaValidacao.equalsIgnoreCase("34")) {
          responderQuestao12 = true;         
        }       
      
      }
      if(responderQuestao12 == false)
      {
        if (formulario.getOutroAvaliador() != null && formulario.getOutroAvaliador() != " ") {
          validacao = new Validacao();
          validacao.campo = "outroAvaliador";
          validacao.mensagem = "A questão '12' somente poderá ser respondida, caso tenha escolhido 'Outro(s)' na questão '11'!";
          mensagens.add(validacao);

        }
      }
    }
    
    
    /*if (formulario.getNivelWcag() == null) {
      validacao = new Validacao();
      validacao.campo = "nivelWcag";
      validacao.mensagem = "A pergunta de número '14' precisa ser respondida!";
      mensagens.add(validacao);

    }*/

    /*if (formulario.getDeficiencias() == null || formulario.getDeficiencias().length == 0) {
      validacao = new Validacao();
      validacao.campo = "deficienciasPergunta";
      validacao.mensagem = "A pergunta de número '16' precisa ser respondida!";
      mensagens.add(validacao);

    }*/
    

    if (formulario.getFuncionalidade() == null) {
      validacao = new Validacao();
      validacao.campo = "funcionalidade";
      validacao.mensagem = "A pergunta de número '16' precisa ser respondida!";
      mensagens.add(validacao);

    }

    if (formulario.getAssistiva() == null || formulario.getAssistiva().length == 0) {
      validacao = new Validacao();
      validacao.campo = "assistivaPergunta";
      validacao.mensagem = "A pergunta de número '17' precisa ser respondida!";
      mensagens.add(validacao);

    }


    if (formulario.getAssistiva() != null && formulario.getAssistiva().length > 0) {
      for (String assistiva : formulario.getAssistiva()) {
        if (assistiva.equalsIgnoreCase("34")) {
          if (formulario.getJustificativaAssistiva() == null) {
            validacao = new Validacao();
            validacao.campo = "justificativaAssistiva";
            validacao.mensagem = "A pergunta de número '18' precisa ser respondida!";
            mensagens.add(validacao);
          }
        }
      }
    }

    if (formulario.getAssistiva() != null
        && formulario.getAssistiva().length > 0) {
      boolean responderQuestao19 = false;
      
      for (String assistiva : formulario.getAssistiva()) {
        if (assistiva.equalsIgnoreCase("34")) {
          responderQuestao19 = true;         
        }       
       
      }
      if(responderQuestao19 == false)
      {
        if (formulario.getJustificativaAssistiva() != null && formulario.getJustificativaAssistiva() != " ") {
          validacao = new Validacao();
          validacao.campo = "justificativaAssistiva";
          validacao.mensagem = "A questão '18' somente poderá ser respondida, caso tenha escolhido 'Outro(s)' na questão '17'!";
          mensagens.add(validacao);

        }
      }
    }
    
    
    
    
//
//    if (formulario.getDificuldadePrazo() == null) {
//      validacao = new Validacao();
//      validacao.campo = "dificuldadePrazo";
//      validacao.mensagem = "A pergunta de número '20' precisa ser respondida!";
//      mensagens.add(validacao);

//    }



    return mensagens;

  }
  
  

  public boolean verificarAmostragensRepetidas(String amostragem, Formulario formulario,
      String campoIgnorar, int campoVerificado) {

    boolean existeCampoRepetido = false;


    if (formulario.getAmbiente1() != null && formulario.getAmbiente1().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Ambiente1") && campoVerificado < 1) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina11() != null && formulario.getPagina11().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina11") && campoVerificado < 2) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina12() != null && formulario.getPagina12().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina12") && campoVerificado < 3) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina13() != null && formulario.getPagina13().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina13") && campoVerificado < 4) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina14() != null && formulario.getPagina14().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina14") && campoVerificado < 5) {
      existeCampoRepetido = true;
    }

    if (formulario.getAmbiente2() != null && formulario.getAmbiente2().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Ambiente2") && campoVerificado < 6) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina21() != null && formulario.getPagina21().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina21") && campoVerificado < 7) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina22() != null && formulario.getPagina22().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina22") && campoVerificado < 8) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina23() != null && formulario.getPagina23().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina23") && campoVerificado < 9) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina24() != null && formulario.getPagina24().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina24") && campoVerificado < 10) {
      existeCampoRepetido = true;
    }
    if (formulario.getAmbiente3() != null && formulario.getAmbiente3().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Ambiente3") && campoVerificado < 11) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina31() != null && formulario.getPagina31().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina31") && campoVerificado < 12) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina32() != null && formulario.getPagina32().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina32") && campoVerificado < 13) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina33() != null && formulario.getPagina33().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina33") && campoVerificado < 14) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina34() != null && formulario.getPagina34().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina34") && campoVerificado < 15) {
      existeCampoRepetido = true;
    }
    if (formulario.getAmbiente4() != null && formulario.getAmbiente4().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Ambiente4") && campoVerificado < 16) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina41() != null && formulario.getPagina41().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina41") && campoVerificado < 17) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina42() != null && formulario.getPagina42().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina42") && campoVerificado < 18) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina43() != null && formulario.getPagina43().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina43") && campoVerificado < 19) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina44() != null && formulario.getPagina44().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina44") && campoVerificado < 20) {
      existeCampoRepetido = true;
    }

    if (formulario.getAmbiente5() != null && formulario.getAmbiente5().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Ambiente5") && campoVerificado < 21) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina51() != null && formulario.getPagina51().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina51") && campoVerificado < 22) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina52() != null && formulario.getPagina52().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina52") && campoVerificado < 23) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina53() != null && formulario.getPagina53().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina53") && campoVerificado < 24) {
      existeCampoRepetido = true;
    }
    if (formulario.getPagina54() != null && formulario.getPagina54().equalsIgnoreCase(amostragem)
        && !campoIgnorar.equalsIgnoreCase("Pagina54") && campoVerificado < 25) {
      existeCampoRepetido = true;
    }

    return existeCampoRepetido;
  }
  
  
  public Validacao validarNotas(String nota, String campoNota, String amostragem, boolean asesOuAccessMonitor)
  {
    if(asesOuAccessMonitor)
    {
      if(Double.parseDouble(nota.replace(",", ".")) > 100)
      {
        this.setCampo(campoNota);
        this.setMensagem("A nota Ases da amostragem '" + amostragem + "' não deve ser maior que 100!");
      }
    }else
    {
      if(Double.parseDouble(nota.replace(",", ".")) > 10)
      {
        this.setCampo(campoNota);
        this.setMensagem("A nota AccessMonitor da amostragem '" + amostragem + "' não deve ser maior que 10!");
      }
    }
        
    return this;
  }

  public List<Validacao> ValidarContato(Contato contato) {
    boolean isValido = true;
    
    Validacao validacao;

    List<Validacao> mensagens = new ArrayList<Validacao>();
    
    if (contato.getNome() == null) {
      
      validacao = new Validacao();
      
      validacao.setCampo("nome");
      validacao.setMensagem("Favor preencher o campo NOME!");
      mensagens.add(validacao);
      
    } else if (contato.getNome().length() > 200) {
      validacao = new Validacao();
      validacao.setCampo("nome");
      validacao.setMensagem("O campo NOME aceita apenas 200 caracteres.");    
      mensagens.add(validacao);
      
    }

    if (contato.getEmail() == null) {
      validacao = new Validacao();
      validacao.setCampo("email");
      validacao.setMensagem("Favor preencher o campo E-MAIL!");  
      mensagens.add(validacao);
      
    } else {
      Pattern p = Pattern.compile("^[\\w-]+(\\.[\\w-]+)*@([\\w-]+\\.)+[a-zA-Z]{2,7}$");
      Matcher m = p.matcher(contato.getEmail());
      if (!m.find()) {
        validacao = new Validacao();
        validacao.setCampo("email");
        validacao.setMensagem("E-MAIL considerado inválido!");   
        mensagens.add(validacao);
      }
    }

    if (contato.getAssunto() == null) {
      validacao = new Validacao();
      validacao.setCampo("assunto");
      validacao.setMensagem("Favor escolher uma das opções no campo ASSUNTO!");
      mensagens.add(validacao);
     
    }

    if (contato.getMensagem() == null) {
      validacao = new Validacao();
      validacao.setCampo("mensagem");
      validacao.setMensagem("Favor preencher o campo MENSAGEM!");
      mensagens.add(validacao);
      
    } else if (contato.getMensagem().length() > 500) {
      validacao = new Validacao();
      validacao.setCampo("mensagem");
      validacao.setMensagem("O campo MENSAGEM aceita apenas 500 caracteres.");
      mensagens.add(validacao);
    }

    return mensagens;
  }
}
